2004-04-12  David Kastrup  <dakas@users.sourceforge.net>

	* Release 0.8.1

	* preview.el (preview-dump-replacements): Use regexp not
	triggering bugs in older Emacsen.
	(preview-dump-replacements): Same here.

	* RELEASE, configure.in, doc/preview-latex.texi: Adapt to 0.8.1

	* preview-latex.spec: xemacspkgdir has changed in recent XEmacs
	releases for Redhat.

	* prv-xemacs.el (preview-mode-setup): Remove non-existent menu.

	* prv-emacs.el (preview-mode-setup): Remove non-existent menu
	"copied" from TeX-command-list to Command menu.

	* Release 0.8
	
	* RELEASE: prepare for 0.8

	* preview-latex.spec: prepare for 0.8, bump XEmacs to 21.4.9.
	
2004-04-11  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el (preview-dvipng-color-string): Try to deliver border
	thickness.
	(preview-gs-transact): Don't set page size to 1,1 if that has
	already been done.
	(preview-start-dvipng): Use new -D convention for resolution.
	(preview-pdf2dsc-process-setup): Add resolution to GhostScript
	call for PDF.  Doh.

	* circ.tex: Format with AUCTeX.

	* preview.el (preview-gs-open): Bypass page initialization if
	page is 1bp times 1bp (that is: not yet set).

	* latex/preview.dtx: Remove tightpdf option again. Better
	explanation for tightpage.

	* preview.el (preview-parsed-tightpage): New variable.
	(preview-TeX-bb): Use tightpage borders if found in file.
	(preview-gs-flag-error): Display correct file on error.
	(preview-gs-transact): Don't pass page dimensions if tightpage is
	active.
	(preview-required-option-list): Replace dvips option with tightpdf
	option.
	(preview-parse-tightpage): New function.
	(preview-parse-variables): Add preview-parse-tightpage, add
	function quoting.
	(preview-gs-open): Move color setup to BeginPage hook.  Rename
	preview-latex-* PostScript Variables to just preview-*.
	(preview-gs-transact): Set minimal pagesize if tightpage detected
	to speed up unimportant setpagedevice operations.
	(preview-required-option-list): Use tightpage option always.
	(preview-parse-variables): Remove function quoting: it lead to
	double quotes and tears.
	(preview-LaTeX-disable-pdfoutput): Move into separate constant
	for easy access as it is no longer the standard.
	(preview-LaTeX-command-replacements): Default to nil to enable
	PDFTeX operation.  Better customization type.

	* latex/preview.dtx: Some reformatting, add new parse items - and
	  >, add new option pdftex, adjust tightpage for it, add new
	  option tightpdf.

	* doc/preview-dtxdoc.pl: Eat spaces after %.

2004-04-09  David Kastrup  <dakas@users.sourceforge.net>

	*  images/preverr.xbm:
	*  images/preverr.xpm: invert upside-down icons.

2004-03-15  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el (preview-gs-color-string): Add missing space in
	color setup (GhostScript syntax error).
	(preview-gs-color-string): And another color setup bug.

2004-03-11  David Kastrup  <dakas@users.sourceforge.net>

	* doc/readme.texi (Activating preview-latex): Make a few changes
	with regard to keybindings and stuff.
	(Contacts): Add Paypal info for myself.

	* doc/preview-latex.texi (Keys and lisp): Remove the C-c C-c g
	pseudobinding from the description.
	(Keys and lisp): Document mouse actions.
	(Keys and lisp): Move Kill Job description.

2004-03-10  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el (preview-gs-colors): replaced with preview-colors.
	(preview-pdf2dsc-command): replaces preview-pdftodsc-command
	(preview-gs-open, preview-gs-color-value)
	(preview-gs-color-string, preview-dvipng-color-string)
	(preview-dvipng-open, preview-dvipng-process-setup)
	(preview-pdf2dsc-process-setup, preview-pdf2dsc-sentinel)
	(preview-gs-close, preview-dvipng-close)
	(preview-prepare-fast-conversion, preview-attach-filename): lots
	of small changed to accommodate pdf2dsc.
	(preview-parse-messages): Change pattern to accommodate pdfTeX.
	(preview-LaTeX-command-replacements): Changed to not rely on latex
	being different from elatex.  And for allowing pdflatex in DVI mode.
	(preview-dump-replacements, preview-undump-replacements): Same.
	(preview-cache-preamble): transfer setting of \pdfoutput to
	dumped format.

	* prv-emacs.el (preview-gs-color-value): Moved to preview.el.
	(preview-get-colors): Substitute for previous
	preview-gs-get-colors.
	(preview-dvipng-get-colors): Removed.
	* prv-xemacs.el (preview-gs-color-value): Moved to preview.el.
	(preview-get-colors): Substitute for previous
	preview-gs-get-colors.
	(preview-dvipng-get-colors): Removed.

2004-03-02  Jan-Åke Larsson  <jalar@mai.liu.se>

	* preview.el: Fix xemacs' defalias problem

2004-03-02  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el (preview-image-creators): dvipng now uses different
	place and close routines.
	(preview-dvipng-command): Fix file name default.
	(preview-pdf2dsc-command): for PDFLaTeX support
	(preview-gs-dvips-process-setup): Pass image type.
	(preview-dvipng-open), (preview-dvipng-process-setup),
	(preview-dvipng-abort),	(preview-dvipng-sentinel),
	(preview-dvipng-close): New functions
	(preview-gs-place): get imagetype as argument.
	(preview-gs-place): don't create temporary file names for dvipng.
	(preview-dvipng-place): deleted.
	(preview-dvipng-place-all): New function.
	(preview-attach-filename): New function for PDF support.
	(preview-delete-file): Support attached files.
	(preview-format-mml): Slight formatting changes.

2004-01-14  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el (preview-parsed-pdfoutput): Add detection for PDF
	output from preview.sty.
	(mail-header-encode-parameter): Encode the header ourselves: it
	seems that versions of the library are not good at that.
	(preview-parse-variables): Add `preview-parsed-pdfoutput'.
	(preview-map): Add keybinding for `preview-copy-region-as-mml'.
	(preview-copy-mml): factor out `preview-format-mml'.
	(preview-copy-region-as-mml): New function.
	(preview-format-mml): New function.

2004-01-11  David Kastrup  <dakas@users.sourceforge.net>

	* latex/preview.dtx (subsection{Preview attaching commands}):
	Tell preview-latex when the output format is PDF.

2004-01-06  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el (preview-region): Use "<none>" for file name if
	buffer not associated with a file.
	(preview-parse-messages): recognize "<none>" to mean
	TeX-command-buffer.
	(preview-region): Use `preview-generate-preview' instead of
	`TeX-command'.
	(preview-document): Same.
	(preview-at-point): Add arguments to allow mouse use at later
	time.
	(LaTeX-preview-setup): Don't touch TeX-command-list.
	(preview-cache-preamble): Use `preview-generate-preview' instead
	of `TeX-command'.
	(TeX-inline-preview): Deprecate.
	(preview-generate-preview): New function.
	(TeX-inline-preview-internal): Remove `name' argument.

2004-01-04  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el (preview-equality-transforms)
	(preview-relaxed-string=, preview-walk-document)
	(preview-required-option-list): Doc changes.
	(preview-disabled-string, preview-inactive-string)
	(preview-active-string, preview-place-preview)
	(preview-reinstate-preview): Use new context menus and give help
	strings for them.
	(preview-copy-text, preview-copy-mml, preview-active-contents)
	(preview-context-menu): Implement context menu and functionality.
	(mail-header-encode-parameter): Add an autoload cookie for this
	function taken from `mail-parse.el'.

2003-11-11  Jan-Ake Larsson  <jalar@mai.liu.se>

	* Makefile.in, doc/Makefile.in, latex/Makefile.in: Add DESTDIR
	variable

2003-11-10  Jan-Åke Larsson  <jalar@mai.liu.se>

	* preview.el: Add 'dvipng preview-scale functionality

2003-11-08  Stephen Reindl  <sr@stephenreindl.de> (tiny change)

	* preview-latex.spec (%install): rm texinfo 'dir' file because
	this file is not needed for distribution (rpm 4.1+ complains about
	this 'missing' file).

2003-11-07  Jan-Åke Larsson  <jalar@mai.liu.se>

	* preview.el: Fix dvipng resolution

2003-11-06  Jan-Åke Larsson  <jalar@mai.liu.se>

	* prv-xemacs.el:
	* prv-emacs.el:
	* preview.el: Add color handling for dvipng

2003-11-05  Jan-Ake Larsson  <jalar@mai.liu.se>

	* preview.el: Primitive dvipng support. Lacking ascent and colors.

2003-11-04  David Kastrup  <dakas@users.sourceforge.net>

	* doc/todo.texi: Add quite a few more wishes.  Actually, it would
	be nice to strike off a few instead.

2003-11-02  David Kastrup  <dakas@users.sourceforge.net>

	* latex/preview.dtx (subsection{Selection options}): Fix the
	carnage broken document classes like elsart.cls and IEEEtran.cls
	do to \endfigure and \endtable, and complain about it in
	appropriate warning messages.

2003-10-15  David Kastrup  <dakas@users.sourceforge.net>

	* latex/preview.dtx (subsection{Selection options}): Let the
	textmath option also preview the `math' environment.

2003-07-10  David Kastrup  <dakas@users.sourceforge.net>

	* doc/wininstall.texi: fix web page of AUCTeX.

	* doc/install.texi (Prerequisites): fix web page of AUCTeX.

	* preview.el (LaTeX-preview-setup, preview-parse-messages)
	(TeX-inline-preview): Fix references to AUCTeX.

	* aclocal.m4 (library): Fix references to AUCTeX.

	* RELEASE: Fix references to AUCTeX.

2003-06-19  David Kastrup  <dakas@users.sourceforge.net>

	* latex/preview.dtx: Make \long what needs to be \long in order
	to deal with argument lists and macros that might contain \par.

2003-05-13  David Kastrup  <dakas@users.sourceforge.net>

	* configure.in: Really bail if 8bit test fails.

	* circ.tex (section{Die gerade Linie}): Add comments for
	intentional bugs.

2003-04-28  David Kastrup  <dakas@users.sourceforge.net>

	* configure.in: Fix check for images.

	* aclocal.m4 (library): Try setting the EMACS_cv_SYS_* variable
	that we are actually checking.  Is that correct?

2003-04-17  Jan-Åke Larsson  <jalar@mai.liu.se>

	* doc/wininstall.texi: Corrected --with-lispdir and --with-packagedir

2003-04-09  Jan-Åke Larsson  <jalar@mai.liu.se>

	* aclocal.m4: More sane emacs-macro path-searching.

2003-03-31  Jan-Åke Larsson  <jalar@mai.liu.se>

	* aclocal.m4 (EMACS_PROG_EMACS): Make the test fail gracefully
	when no binary executable is found. More generally, make the
	emacs-macro path-searching tests run.
	
2003-03-30  David Kastrup  <dakas@users.sourceforge.net>

	* doc/install.texi (Configure), doc/wininstall.texi: explain
	--with-emacs and stuff even less ambiguously.

2003-03-28  David Kastrup  <dakas@users.sourceforge.net>

	* doc/faq.texi (Installation Trouble): Update Windows info.

2003-02-15  David Kastrup  <dakas@users.sourceforge.net>

	* configure.in: quote MAKEINFO.

	* README.CVS: Fix instructions because autoconf now does not need
	patching anymore.

	* doc/preview-latex.texi: juggle the dircategory, hopefully right
	now.

2003-02-13  David Kastrup  <dakas@users.sourceforge.net>

	* doc/preview-latex.texi: Somewhat changed info dir entries.
	(Simple customization): add hint for RefTeX.

	* doc/problems.texi, doc/macros.texi: anticipate name change of
	AUC TeX to AUCTeX.

	* aclocal.m4, configure.in: resynch with AUCTeX aclocal.m4.
	Lots of name changes.

	* configure.in: Remove redundant checks/substs.

	* aclocal.m4 (AC_EXAMINE_PACKAGEDIR): lots of fixes with regard
	to quoting, bad code and other stuff.
	(AC_CHECK_AUCTEX): remove trailing slash.

2003-02-10  Alan Shutko  <ats@acm.org>

	* aclocal.m4: Changed all references of AUCTEXDIR to auctexdir.

	* Makefile.in (auctexdir): Changed all references of AUCTEXDIR to
	auctexdir.

2003-02-05  David Kastrup  <dakas@users.sourceforge.net>

	* latex/preview.dtx (section{Package options}): Correct doc of
	\PreviewBbAdjust.

2003-02-05  Alan Shutko  <ats@acm.org>

	* doc/problems.texi: Add documentencoding.
	(Emacs problems): Move @end itemize after XEmacs.

2003-02-03  David Kastrup  <dakas@users.sourceforge.net>

	* latex/preview.dtx (subsection{The \texttt{auctex} option}):
	Make \item actually produce an \item.

2003-01-27  David Kastrup  <dakas@users.sourceforge.net>

	* doc/problems.texi (Emacs problems): CVS Emacs supports PNG now.

	* doc/wininstall.texi: CVS Emacs supports PNG images now.

	* prv-xemacs.el (null-device): Add defvar for older XEmacsen.

2003-01-24  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el (preview-gs-sentinel): Delete PostScript file when
	GhostScript has finished.
	(preview-gs-dvips-sentinel): Don't mark PostScript file for
	deletion when GhostScript will be run: otherwise preview.el will
	delete the PostScript file automatically when the last preview has
	been generated but before GhostScript exits.  And since
	GhostScript has the file still open, some "operating systems" will
	refuse to delete the PostScript file at that moment.

2003-01-20  David Kastrup  <dakas@users.sourceforge.net>

	* Release 0.7.8
	
	* aclocal.m4: Correct environment spellings for Makefiles.

	* latex/preview.dtx (subsection{The internals}): comment out color
	setup.  That means that one might not be able to use color.sty for
	setting up fore/background color, but it will also mean that
	loading color.sty does not interfere with the initial colors set
	up inside of GhostScript.  In the long run, we will have to solve
	this differently.

2003-01-19  David Kastrup  <dakas@users.sourceforge.net>

	* latex/preview.dtx (section{Package options}) 
	(subsection{The \texttt{showlabels} option}), doc/todo.texi:
	spell RefTeX correctly.

	* preview.el (preview-gs-open): Get really paranoid about closing
	our output file in a way which should get rid of races.
	(preview-ps-quote-filename): Get an optional argument for
	avoiding making file names relative (like null-device).
	(preview-equality-transforms, preview-relaxed-string=,
	preview-canonical-spaces): Add functionality for relaxed check of
	region changes (should allow outline-minor-mode in XEmacs, too,
	and paragraph reformatting).

	* prv-emacs.el (preview-check-changes): use
	`preview-relaxed-string=' for detecting relevant changes.

	* prv-xemacs.el (preview-create-icon): Use defsubst instead of
	defmacro in order to avoid double evaluation of `file'.
	(preview-check-changes): use `preview-relaxed-string=' for
	detecting relevant changes.
	
	* latex/preview.dtx (section{Introduction}) 
	(section{Package options}, subsection{Supporting conversions}):
	Mention that `tightpage' requires `dvips', too.

2003-01-18  David Kastrup  <dakas@users.sourceforge.net>

	* Makefile.in (install-el, install-icons): Fix overquoting.

2003-01-17  Jan-Ake Larsson  <jalar@mai.liu.se>

	* Makefile.in (install): Unquote $x so that the install prints
	what is installed.

2003-01-17  David Kastrup  <dakas@users.sourceforge.net>

	* aclocal.m4 (AC_SHELL_QUOTIFY): c\:\\bin is correct, but ugly.
	Don't quote : specifically, it is not likely to be a special shell
	character.

	* doc/Makefile.in (infodir): Add a few missing environment
	variables.

	* latex/Makefile.in, Makefile.in, aclocal.m4, configure.in: try
	to deal as perfectly as possible with spaces in file names,
	quotes, backslashes and desperate things in general.

2003-01-15  Jan-Ake Larsson  <jalar@mai.liu.se>

	* configure.in: Use AC_PROG_EMACS and more portable
	AC_PATH_LISPDIR/PACKAGEDIR
	
	* aclocal.m4 (AC_PROG_EMACS): New. Sanitize AC_PATH_LISPDIR. Make
	AC_PATH_PACKAGEDIR portable.

2003-01-10  Jan-Ake Larsson  <jalar@mai.liu.se>

	* Makefile.in: Make Solaris make grok the remaining long lines

2003-01-10  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el (LaTeX-preview-setup): Change menu name for
	generating customize menu to "Extend this menu".

	* configure.in (TEXMFGEN): Make this possibly more portable (at
	the very least, we had some potential quoting problems).

	* autogen.sh, configure.in: Ok, darn them all.  We now have a
	configure.in that does no longer need to get patched up after
	autoconf, regardless of which autoconf version gets used between
	2.13 and 2.57 or hopefully later.

2003-01-07  David Kastrup  <dakas@users.sourceforge.net>

	* Makefile.in (AUCTEXLISP): quoting levels still unsufficient.

	* configure.in: Error message contained a single backquote, and
	this made autoconf-213 barf.

	* Makefile.in (AUCTEXLISP): quote sed command correctly.

	* README.CVS: Update info about what autogen.sh generates.

	* doc/wininstall.texi: Well, forget a few details.  Also added.

	* autogen.sh: Make much more simple, so that this will work with
	more sed versions.

	* doc/wininstall.texi: Major overhaul, taking also GNU Emacs CVS
	into account.

	* Makefile.in: Lots of quote fixes to make this hopefully compile
	better when paths may contain spaces and backslashes (the horror,
	the horror).

	* latex/Makefile.in: Lots of quote fixes to make this hopefully
	compile better when paths may contain spaces and backslashes
	(the horror, the horror).

	* doc/preview-latex.texi (Keys and lisp): Rearrange section,
	cater for renamed menus, some better explanations.

	* doc/faq.texi (Installation Trouble): Some rearrangements and
	additional explanations.

	* latex/preview.dtx (section{Provided Commands}): Add description
	of \PreviewOpen and \PreviewClose.
	(subsection{Selection options}): Typo in displaymath hook on \[
	fixed.
	(subsection{Preview attaching commands}): Fix code of
	\PreviewOpen and \PreviewClose which need to have their own
	groups open and close always.

2003-01-06  David Kastrup  <dakas@users.sourceforge.net>

	* latex/preview.dtx (section{Provided Commands}): Add a lot of
	additional possibilities for previewing commands and document
	them.

	* doc/preview-dtxdoc.pl: convert @ to @@, add braces around \marg
	argument, allow spaces in \oarg argument.

	* doc/Makefile.in (install): rename INSTALLINFO to INSTALL_INFO
	for consistency.

	* autogen.sh: Allow use of AUTOCONF, use sed.

	* configure.in: Rework the language stuff autoconf sickness.
	Require autogen.sh for editing work.

2002-12-29  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-clearout-section): New function.
	(preview-map): Add keybinding to it.
	(LaTeX-preview-setup): Reorganize Preview menu for better user
	friendliness.

2002-12-22  David Kastrup  <David.Kastrup@t-online.de>

	* latex/Makefile.in (install-texmf): don't call TEXHASH with
	argument: some of the substitutes might not like it.  Better safe
	than sorry.

	* configure.in: A few more texhash-related fixes.

2002-12-20  David Kastrup  <David.Kastrup@t-online.de>

	* Makefile.in (LISP_SOURCES): Use = instead of := for non-GNU
	make versions.  Also in other variables.

2002-12-19  David Kastrup  <David.Kastrup@t-online.de>

	* latex/preview.dtx (section{Package options}): Document
	`footnotes' option.
	(section{Provided Commands}): Document new second optional
	argument to \PreviewMacro*.
	(subsection{Parsing commands}): Obliterate \pr@seq and make
	\pr@callafter have different semantics.
	(subsection{Preview attaching commands}): New macroo \pr@endmacro
	needed for new \pr@callafter semantics.
	(subsection{Preview attaching commands}): Implement the new
	second argument to \PreviewMacro* and \PreviewEnvironment*.
	(subsection{Preview attaching commands}): Make \pr@startsnarf
	adapt to new \pr@callafter semandtics.
	(subsection{The \texttt{auctex} option}): Use the new semantics
	in a number of cases.

	* doc/install.texi (Loading the package): Make this more
	fool-proof by leaving out alternatives and reordering.

2002-12-18  Jan-Ake Larsson  <jalar@mai.liu.se>

	* preview.dtx: Add \caption to auccfg

2002-12-17  David Kastrup  <David.Kastrup@t-online.de>

	* Release 0.7.7
	
	* prv-emacs.el (preview-unwatch-preamble): Fix a lethal typo.

	* Release 0.7.6

	* preview-latex.spec (Requires): Bump to 0.7.6

	* doc/faq.texi (Requirements): Change version requirements for
	AUC TeX.

	* doc/readme.texi (Activating preview-latex): Explain about what
	to do if preview-latex.el did not get installed properly.

	* doc/preview-latex.texi (Keys and lisp): Explain about new
	commands and options.
	(Simple customization): Explain how to keep counters accurate.
	(The Emacs interface): document new options.

	* doc/install.texi (Prerequisites): Explain about AUCTeX and
	XEmacs versions.
	(Loading the package): Recommend using preview-latex.el as
	standard measure.

	* Makefile.in (GS): Inherit GhostScript executable name.
	(preview-latex.el): If GhostScript is not named "gs", change
	preview-gs-command setting appropriately.  Add the Lisp
	installation directory to the load-path.

	* configure.in: use : instead of /bin/true
	Check typical GhostScript executable names on Windows.  Check for
	initexmf -u (MikTeX specific).

	* RELEASE: Some more changes for 0.7.6

2002-12-16  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-string-expand): Get optional separator
	argument.
	(preview-expandable-string): Change type somewhat.
	(preview-clearout-document): doc change.
	(preview-default-preamble, preview-LaTeX-command): Simplify to
	changed definition of preview-expandable-string.

	* prv-xemacs.el (preview-mode-setup, preview-watch-preamble) 
	(preview-unwatch-preamble): Differentiate between unwanted formats
	and formats without loaded master file.

	* prv-emacs.el (preview-watch-preamble, preview-unwatch-preamble,
	preview-mode-setup): Differentiate between unwanted formats and
	formats without loaded master file.

2002-12-15  David Kastrup  <David.Kastrup@t-online.de>

	* Makefile.in (preview-latex.el): Avoid putting the output of pwd
	inside of "...", because something like "C:\notagain" is not
	quite the Lisp string we'd want.

	* preview.el (preview-walk-document): New function walking
	through buffers of current document.
	(preview-clearout-document): New function for completeness.
	(preview-map): Add keybinding for it.
	(LaTeX-preview-setup): Add menu entry for it.

	* configure.in: Preparations for 0.7.6

	* RELEASE: Preparations for 0.7.6

2002-12-14  David Kastrup  <David.Kastrup@t-online.de>

	* aclocal.m4: Don't lie about name of option --with-texmf-dir

2002-12-13  David Kastrup  <David.Kastrup@t-online.de>

	* latex/preview.dtx (subsection{The \texttt{footnotes} option}):
	new option.

	* preview.el (preview-default-option-list): Switch on previews
	for footnotes by default.

2002-12-12  Jan-Ake Larsson  <jalar@mai.liu.se>

	* autogen.sh: Nitpicking

	* aclocal.m4, configure.in, doc/Makefile.in, doc/macros.texi:
	Sanitize makeinfo macro tests
	
	* configure.in: Make LANG and LC_CTYPE saving work across
	recursive call of ./configure (2.52)
	
2002-12-12  David Kastrup  <David.Kastrup@t-online.de>

	* latex/preview.dtx (subsection{The internals}): Kill insertions
	off that annoy our space strippers.  That makes
	\PreviewMacro[*[]{}]{\footnote} feasible.

2002-12-11  Jan-Ake Larsson  <jalar@mai.liu.se>

	* images/preview-cap-up.xpm: Fix bg and fg color issues

2002-12-10  Jan-Ake Larsson  <jalar@mai.liu.se>

	* autogen.sh: Make LANG and LC_CTYPE saving work across recursive
	call of ./configure (2.13)

	* doc/macros.texi: Typo fixed

2002-12-10  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-counter-find): Take counters by searching
	forward if searching backwards does not avail us.
	(preview-reinstate-preview): Optimize queue/tempdir handling for
	the most common case.

2002-12-09  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-counter-find): Factor out stuff from advice
	since it will otherwise miss out on compatibility macros for XEmacs.
	(TeX-region-create): Factor out advice.
	(preview-reinstate-preview): Oops, wrong data if nothing
	changed.  Switched around.

	* latex/preview.dtx (subsection{Preview attaching commands}):
	Don't \unskip in vertical modes in preview/nopreview
	environments.

	* preview.el (preview-parsed-counters): New variable.
	(preview-dissect): export counter info.
	(preview-place-preview): get counter info.
	(preview-reinstate-preview): resinstate counters also.
	(preview-default-option-list): add counters option.
	(preview-string-expand): New function.
	(preview-expandable-string): New type.
	(TeX-region-create): Advice for counter restoration.
	(preview-last-counter): for restoring.
	(preview-extract-counters): New function.
	(desktop-buffer-preview-misc-data): Sort stuff when writing and
	deal with counters.
	(preview-dissect, preview-buffer-restore-internal) 
	(preview-place-preview): Deal with counters.
	(preview-buffer-has-counters): New variable during parsing.
	(preview-place-preview): Deal with counters.
	(preview-required-option-list): New option.
	(preview-make-options, preview-make-preamble): deleted
	(preview-default-preamble, preview-LaTeX-command): redefine using
	expandable strings.
	(LaTeX-preview-setup): Replace entry in TeX-command-list with
	dummy.
	(LaTeX-preview-setup): Delete "%D" and "%P" fudges.
	(preview-parse-counters): New function for parsing counters.
	(preview-parse-variables): Add preview-parsed-counters to parse
	list.
	(preview-parse-messages): deal with counters.
	(preview-dump-replacements): Add preview-LaTeX-command-replacements
	(preview-cache-preamble): Don't generate string for
	TeX-inline-preview, it does so itself.
	(TeX-inline-preview): Generate command from preview-LaTeX-command
	(preview-report-bug): Report more variables.

2002-12-07  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (LaTeX-preview-setup): simplify "%m" entry in
	TeX-expand-list.
	(preview-create-subdirectory): return a quoted relative file name.
	(preview-cache-preamble): various directory name related changes
	so that everything will work master-relative.
	(preview-cache-preamble-off): Same here.
	(TeX-inline-preview-internal): Same here.
	(preview-report-bug): Add autoload cookie.
	(preview-create-subdirectory): Make dvips directory relative.
	(preview-report-bug): also report LaTeX-command-style.

2002-12-06  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-gs-open): Another GhostScript security work
	around, this time leaving off something that confuses 7.x
	releases of AFPL GhostScript.

2002-12-03  Jan-Ake Larsson  <jalar@mai.liu.se>

	* Makefile.in:
	* prv-xemacs.el: handle the new toolbar image 

	* images/preview-cap-up.xpm: toolbar image

2002-11-29  Jan-Ake Larsson  <jalar@mai.liu.se>

	* doc/readme.texi:
	* doc/preview-latex.texi:
	* doc/macros.texi:
	* doc/Makefile.in: 
	* configure.in: 
	* aclocal.m4 (AC_TEST_MAKEINFO_ACRONYM): Attempt to make docs
	build with old texinfo

2002-11-28  David Kastrup  <David.Kastrup@t-online.de>

	* Release 0.7.5
	
	* latex/preview.dtx (subsection{Debugging options}): Typos.

	* Makefile.in (use-hint): Add XEmacs version hint.

	* prv-xemacs.el (preview-defmacro): define compatibility macros
	only at compile time.
	(preview-mode-setup): correct check for icon in toolbar.

	* preview.el (require): use load-library on prv-xemacs.el in
	order to get the compatibility macros at compilation time.

2002-11-22  David Kastrup  <David.Kastrup@t-online.de>

	* Release 0.7.4

	* preview-latex.spec (Requires): New RPM brain damage means we
	have to disable the 8bit test.

	* doc/faq.texi: Various updates.

	* doc/install.texi: Some cosmetic changes and version info
	updates.

	* doc/preview-latex.texi (Keys and lisp): Adjust docs for changed
	menu structure (Preview having a top-level entry).
	(On EPS previews): phase out info about historical `postscript'
	settings.

	* preview.el (preview-image-type): Don't offer `postscript' when
	customizing.

	* configure.in: bump version.

	* doc/preview-latex.texi: bump version.
	(Keys and lisp): reorder so that indexes refer to the start of
	items.

	* preview.el (preview-gs-transact): add a bit of paranoia into
	page shifts in case the coordinate origin is not upper left.
	Similar to change in tightpage option of preview.dtx.
	(preview-LaTeX-command-replacements): comment fix.

	* latex/preview.dtx (subsection{The \texttt{counters} option}):
	new option and documentation: add counter checkpoints in
	diagnostics.

2002-11-21  David Kastrup  <David.Kastrup@t-online.de>

	* prv-xemacs.el (preview-mode-setup): And here we have the
	toolbar icon for XEmacs users.  Does not look too pretty, but
	might inspire volunteers for improvements.

2002-11-07  Jan-Ake Larsson  <jalar@mai.liu.se>

	* aclocal.m4: Cosmetic change to the AUC TeX path printout
	
2002-11-20  David Kastrup  <David.Kastrup@t-online.de>

	* RELEASE: some changes for 0.7.4

	* preview.el (preview-dump-command, preview-undump-command):
	deleted.
	(preview-do-replacements): New function for performing
	replacements in strings.
	(preview-LaTeX-command-replacements, preview-format-name) 
	(preview-dump-replacements, preview-undump-replacements): new
	variables.
	(preview-cache-preamble): adapt to new variables.
	(TeX-inline-preview, TeX-inline-preview-internal): same.

2002-11-18  David Kastrup  <David.Kastrup@t-online.de>

	* prv-emacs.el (preview-mode-setup): Add preview-at-point to the
	toolbar, for those people that have not seen fit to disable it.
	Volunteers for the XEmacs equivalent?

2002-11-10  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-ps-quote-filename): New function replacing
	preview-ps-quote, generating a relative file name.
	(preview-prepare-fast-conversion): Use it.
	(preview-gs-transact): Use it.
	(LaTeX-preview-setup): Make tmp directory name relative.
	Problem is that Cygwin absolute paths are not suitable for
	passing into MikTeX.  Sigh.  But perhaps relative file names are
	nicer, anyway.
	(preview-parse-messages): Fix regexps for the sake of people
	incompetent to make the run buffer not contain ^M everywhere.
	Another Windows-related "fix".

2002-11-05  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-gs-open): Place color setup after
	setpagedevice.

	* latex/preview.dtx (subsection{Supporting conversions}): Make
	the tightpage option generate proper /PageOffset values also for
	devices with bottom-up coordinate systems.

	* doc/problems.texi: Remove preview-gs-broken-security docs.  See
	below.

	* preview.el (require): Don't abort compilation if desktop or
	reporter packages are not installed.
	(preview-gs-broken-security): Removed:
	(preview-gs-open): Workaround for braindead security.

2002-11-04  David Kastrup  <David.Kastrup@t-online.de>

	* Changes in order to preserve point in previews as follows:
	* preview.el (preview-at-point): Pass selected window into
	preview-toggle.
	(preview-place-preview): Pass event into preview-toggle.
	(preview-reinstate-preview): Same here.
	* prv-emacs.el (preview-toggle): take additional argument (event
	or window).
	(preview-last-location): New variable, buffer-local.
	(preview-mark-point): Remember point before moving out.
	(preview-restore-position): New function.
	* prv-xemacs.el (preview-toggle): take additional argument (event
	or window).
	(preview-last-location): New variable, buffer-local.
	(preview-mark-point): Remember point before moving out.
	(preview-restore-position): New function.

2002-10-21  Jan-Ake Larsson  <jalar@mai.liu.se>

	* configure.in: Fix texhash check 

2002-09-16  David Kastrup  <David.Kastrup@t-online.de>

	* latex/preview.dtx (section{Introduction}): Mention tightpage
	option for image conversion already here.
	(\pr@endbox): set \reserved@a to something harmless for skipping
	(if it was set to a conditional, we got into trouble).
	(subsection{Selection options}): Redo the textmath option because
	the exscale package (for example) does dirty things within
	\frozen@everymath.

2002-09-06  David Kastrup  <David.Kastrup@t-online.de>

	* doc/faq.texi: Explain about 'Preview-LaTeX exited abnormally
	with code 1' message

2002-09-02  David Kastrup  <David.Kastrup@t-online.de>

	* prv-xemacs.el (preview-mode-setup): Make behaved startup in
	buffers without associated file (M-x calendar RET tfw produces
	things like that).  Generating previews will not work before you
	save the buffer, but at least the stuff doesn't bomb out right
	away.

	* prv-emacs.el (preview-mode-setup): Make behaved startup in
	buffers without associated file (M-x calendar RET tfw produces
	things like that).  Generating previews will not work before you
	save the buffer, but at least the stuff doesn't bomb out right
	away.

	* circ.tex: Load and save once to make it X-Symbol-compatible
	(changes are negligible, and it makes demoing mixtures of the two
	tools nicer).

	* preview.el (LaTeX-preview-setup): Fix menu position of generated
	customize menu.
	(preview-format-kill, preview-dump-file-name) 
	(preview-cache-preamble, TeX-inline-preview-internal): Use prefix
	`prv_' for dumped formats to avoid name collisions (for example,
	with WhizzyTeX).

2002-08-14  David Kastrup  <David.Kastrup@t-online.de>

	* Release 0.7.3

	* preview.el (preview-auto-cache-preamble): Renamed from
	preview-dump-default.  Make the default 'ask: that way people
	will be hard put to overlook this feature, but are not stuck on
	it in case it causes trouble.  Perhaps will make them read the
	manual, too, in order to set this to T.
	(preview-map): Use preview-cache-*
	(preview-cache-preamble, preview-cache-preamble-off): renamed
	from preview-dump-*.

	* doc/preview-latex.texi (Keys and lisp): Rename
	preview-dump-format and its ilk to preview-cache-preamble.
	(Simple customization): Mention automatic preamble caching.

2002-08-13  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (TeX-inline-preview): Use set-process-coding-system
	only when Mule is active.
	(preview-document): Save document if necessary.
	(TeX-inline-preview): Some overhaul.
	(TeX-inline-preview-internal): Separated out so that
	region/format dumps don't interfere.

	* prv-xemacs.el (preview-mode-setup): See below.
	(preview-dump-threshold): See below.
	(preview-preamble-format-cons): File local variable for watching.
	(preview-preamble-check-change, preview-watch-preamble) 
	(preview-unwatch-preamble): See below.
	(preview-handle-before-change): Call
	preview-preamble-check-change.

	* prv-emacs.el (preview-dump-threshold): Regexp ending dump.
	(preview-preamble-changed-function): New function.
	(preview-watch-preamble): New function.
	(preview-unwatch-preamble): New function.
	(preview-mode-setup): Check whether we open a watched file.

	* preview.el (preview-buffer): Move region exclusion into advice
	for TeX-region-create.
	(preview-dump-default): New variable, tells us whether we should
	dump formats automatically.
	(preview-dumped-alist): Semantics change.
	(preview-dump-format): Use watch functions from prv-*.el
	(preview-clear-format): new optional argument, save last wanted
	state.
	(TeX-inline-preview): Use preview-dump-default.

2002-08-07  Jan-Ake Larsson  <jalar@imf.au.dk>

	* autogen.sh: Fixed autoconf-fix message

2002-08-07  David Kastrup  <David.Kastrup@t-online.de>

	* preview-latex.spec (Release): Set to 9 (prerelease)
	(Requires): Add FAQ to docs.

	*  doc/faq.texi: FAQ added.

2002-08-06  David Kastrup  <David.Kastrup@t-online.de>

	* prv-xemacs.el (preview-use-balloon-help): New boolean
	customization variable.
	(preview-mode-setup): Use it.

	* doc/preview-latex.texi (The Emacs interface): Document it.

2002-08-05  David Kastrup  <David.Kastrup@t-online.de>

	* latex/preview.dtx (subsection{Supporting conversions}): change
	default of \PreviewBbAdjust from 0.5bp to 0.50001bp.

2002-08-04  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-back-command): New optional argument
	NOCOMPLEX.
	(preview-parse-messages): Use it for not skipping backwards over
	braced expressions when start and end of triggered errors match.

2002-08-03  David Kastrup  <David.Kastrup@t-online.de>

	* RELEASE: update RedHat distro info.

	* doc/preview-latex.texi: Remove documentlanguage setting: English
	is the default anyway, and declaring it breaks the broken TeXlive 7
	texinfo distribution.

	* doc/todo.texi: Updates.

	* RELEASE: New leading commercial.

2002-08-01  Jan-Ake Larsson  <jalar@imf.au.dk>

	* doc/preview-latex.texi: Typo corrected

2002-07-31  David Kastrup  <David.Kastrup@t-online.de>

	* doc/Makefile.in (preview-latex/index.html, clean): clean out
	preview-latex directory for html-docs.

	* doc/problems.texi (Problems with GhostScript): document
	preview-gs-broken-security.

	* doc/preview-latex.texi: Bump version to 0.7.3.
	(The Emacs interface): Document changes in options.

	* doc/install.texi (Prerequisites): GhostScript problem info.

	* doc/Makefile.in (TEXIFILES): New macro.
	(preview-latex/index.html, preview-latex.dvi, preview-latex.info):
	Make dependency on TEXIFILES.
	(clean): remove INSTALL.windows

	* preview.el (preview-parsed-font-size) 
	(preview-parsed-magnification): documented.
	(preview-hook-enquiry): Use value of symbol only if bound.
	(preview-document-pt-list): Correct customization type.

2002-07-30  David Kastrup  <David.Kastrup@t-online.de>

	* latex/preview.dtx (section{Package options}): document `lyx'
	option.

	* doc/wininstall.texi: New file documenting XEmacs/Windows,
	courtesy of Anthony Williams.

2002-07-29  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-parsed-font-size) 
	(preview-parsed-magnification): new variables set from
	preview.sty
	(preview-get-magnification): consults
	preview-parsed-magnification.
	(preview-gs-resolution): consult preview-get-magnification.
	(preview-gs-open): Delay setup of preview-gs-command-line
	(preview-gs-dvips-process-setup): complete it.
	(preview-hook-enquiry): New function.
	(preview-document-pt-list): Sources of document-pt.
	(preview-auctex-font-size): Previously preview-document-pt
	(preview-document-pt): Uses preview-document-pt-list
	(preview-scale-from-face): defer part of calculation.
	(preview-parse-variables): Variable list set from preview.sty
	(preview-parse-messages): Clear them at start of parse.
	(preview-parse-messages): New pattern for variable list.
	(preview-parse-messages): magnification for PS bounding box.
	(preview-parse-messages): Parse variables from preview.sty
	(preview-get-geometry): Use preview-hook-enquiry for call of
	preview-scale-function.

2002-07-28  David Kastrup  <David.Kastrup@t-online.de>

	* latex/preview.dtx (subsection{Preview attaching commands}): Fix
	\PreviewEnvironment*
	(subsection{Preview attaching commands}): Type out font size and
	magnification info at start of document.
	(subsection{Supporting conversions}): Take DVI magnification into
	account in `tightpage' option.

2002-07-26  David Kastrup  <David.Kastrup@t-online.de>

	* circ.tex: Demonstrate showlabels (and fix a math oversight).

	* latex/preview.dtx (subsection{The \texttt{showlabels} option}):
	Changes, different look, more robust.

2002-07-25  Jan-Ake Larsson  <jalar@imf.au.dk>

	* doc/problems.texi: Info on windows-xemacs

2002-07-25  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (LaTeX-preview-setup): Fix form of preview-entry in
	order not to confuse customize.

2002-07-24  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (TeX-inline-preview): Export buffer coding system to
	TeX process output encoding (for our Polish friends and others).
	Hope this does not break non-Mule XEmacsen if such are around.

2002-07-23  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-image-creators): Change tiff device to use
	tiff12nc, which has a chance of working with the current
	settings, at the cost of large file sizes.

2002-07-23  Jan-Ake Larsson  <jalar@imf.au.dk>

	* doc/install.texi: Minor changes

	* doc/problems.texi: Documented GNU gs 7.05 security bug info

2002-07-22  David Kastrup  <David.Kastrup@t-online.de>

	* latex/preview.dtx (subsection{The \texttt{showlabels} option}):
	Make sanitization of labels more consistent and switch to
	typewriter font.

2002-07-19  David Kastrup  <David.Kastrup@t-online.de>

	* prv-xemacs.el (preview-mode-setup): Add preview menu.

	* prv-emacs.el (preview-mode-setup): Add preview menu.  Why is it
	before the LaTeX menus?

	* preview.el (preview-map): Prefix-keymap.
	(LaTeX-preview-setup): Use it.

2002-07-18  David Kastrup  <David.Kastrup@t-online.de>

	* prv-xemacs.el (face-attribute): shift stuff to compile time.
	(preview-with-LaTeX-menus, preview-mode-setup): cosmetic changes.

	* preview.el (preview-LaTeX-command): Use Windows-friendly
	quoting.
	(preview-dump-command, preview-undump-command): Same here.

2002-07-16  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-ps-quote): New function.
	(preview-prepare-fast-conversion): Use it.
	(preview-gs-transact): Use it.

	* latex/preview.dtx (subsection{The \texttt{auctex} option}):
	Output font size.
	(subsection{The \texttt{lyx} option}): New option.
	(subsection{Supporting conversions}): Write out tightpage
	dimensions before each change.
	(section{Various driver files}): generate prlyx.def.

2002-07-11  David Kastrup  <dak@localhost.localdomain>

	* preview.el (preview-gs-broken-security): New option specifying
	when to disable security.
	(preview-gs-open): Use it.  Also abort more predictably if
	setpagedevice fails, usually due to broken security.

2002-05-28  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (LaTeX-preview-setup, preview-parse-messages): cater
	to abbreviated locator error message.
	(preview-clearout-at-point): New function.
	(LaTeX-preview-setup): add to menus and cleanup unnecessary flags.

	* latex/preview.dtx: replace "Package Preview Error" with
	"Preview": too many people got confused.

	* doc/preview-latex.texi (Simple customization): Document new
	auto-reveal default.
	(Simple customization): Document a better way for default
	options.

	* preview.el (preview-gs-open): bind preview-latex-do PostScript
	operator.
	(preview-auto-reveal): Change default to auto-open on move
	left/right.

2002-05-08  David Kastrup  <David.Kastrup@t-online.de>

	* doc/todo.texi: add request for other TeX formats.

	* preview.el (preview-parse-messages): There is little point in
	being more picky about ( than we are about ), since all that this
	buys us is bad nesting.

	* prv-emacs.el (preview-gs-get-colors): Warp outline borders to
	integral pixels in order to avoid antialiasing artifacts.

2002-05-06    <dak@lola.goethe.zz>

	* preview.el (preview-back-command): Changed semantics in order
	not to backstep over punctuation.
	(preview-get-geometry): Bad error message format.

2002-04-30  Jan-Ake Larsson  <jalar@imf.au.dk>

	* preview.el (preview-dump-format):
	Now checks if format has changed; if it hasn't,
	no new dump is made.

	* preview.el (preview-buffer): Changed to mirror the behaviour of
	TeX-region-create. This is probably the best we can do.

2002-04-29  Jan-Ake Larsson  <jalar@imf.au.dk>

	* preview.el (preview-buffer): allow it to work with format
	caching + added comment
	
2002-04-28  Jan-Ake Larsson  <jalar@imf.au.dk>

	* doc/preview-latex.texi:
	Document preview-clear-format and its keybindings

	* preview.el (preview-clear-format):
	new, also changed keybinding for it

2002-04-26  Jan-Ake Larsson  <jalar@imf.au.dk>

	* doc/preview-latex.texi: Documented preview-dump-format

	* preview.el: Cosmetic change in menu

2002-04-26  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (LaTeX-preview-setup): Menu entries and keybindings
	for preview-dump-format.
	(preview-dumped-list): New variable: dumped formats.
	(preview-dump-format): New command for pregenerating format files.
	(TeX-inline-preview): Use dumped format if present.
	(preview-dumped-list): Move.
	(preview-cleanout-tempfiles): Also kill format files.
	(preview-format-extensions): New variable for cleanup purposes.
	(TeX-inline-preview): preview-dumped-list contains expanded file
	names.

2002-04-24  Jan-Ake Larsson  <jalar@imf.au.dk>

	* problems.texi: Slight index change

	* preview-latex.texi (Keys and lisp): Added the menu entries

2002-04-23  Jan-Ake Larsson  <jalar@imf.au.dk>

	* autogen.sh: Test for unique file 'preview.el' in autoconf 2.13

2002-04-23  Alan Shutko  <ats@acm.org>

	* aclocal.m4 (AC_PATH_PROGS_REQUIRED): New.

	* configure.in: Lock in whole path of Emacs executable.

2002-04-23  David Kastrup  <David.Kastrup@t-online.de>

	* Release 0.7.2b

	* Makefile.in (preview-latex.el): Quickfix

	* Release 0.7.2

	* preview.el (preview-buffer-restore-internal): Remove expired
	previews.
	(preview-reinstate-preview): set timestamp.

2002-04-22  Nix  <nix@esperi.demon.co.uk>

	* doc/install.texi (Advice for non-privileged users):
	Add XEmacs-specific instructions.

	* aclocal.m4 (AC_EXAMINE_PACKAGEDIR): Locate an existing preview-latex
	package and install over it if found.
	(AC_PATH_PACKAGEDIR): Support ~/ in package directory names.

2002-04-22  David Kastrup  <David.Kastrup@t-online.de>

	* doc/install.texi (Advice for non-privileged users): new section.

	* configure.in: Quote TEXMFGEN.

	* doc/readme.texi (Getting started): mention the mouse buttons.

2002-04-21  Nix  <nix@esperi.demon.co.uk>

	* prv-emacs.el: Remove comment regarding XEmacs's lack of local
	change hooks; it has them and we use them.

	* doc/problems.texi (XEmacs): Mention the process-liveness patch.
	Fix some grammar.  Call the support `quite new' rather than
	`very new'.

	* configure.in (infodir): Define for XEmacs; point to the info
	location in the package tree.

2002-04-21  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-parse-messages): Try a few changes making
	bad buffer-local interac
	shorten export format.  Backward compatible.

	* prv-xemacs.el (preview-export-image, preview-import-image):
	shorten export format.  Backward compatible.

2002-04-14  Nix  <nix@esperi.demon.co.uk>

	* prv-xemacs.el (glyph-image-type): New, determine the
	image type of a glyph.
	(preview-export-image): Use it.

	* doc/problems.texi (XEmacs): Say that preview reinstating
	works with a new enough desktop.el.

2002-04-14  David Kastrup  <David.Kastrup@t-online.de>

	* prv-emacs.el (preview-export-image): New macro.
	(preview-import-image): New macro.

	* preview.el (preview-reinstate-preview): use
	preview-import-image.
	(preview-dissect): Use preview-export-image.

	* prv-xemacs.el (preview-export-image, preview-import-image): New
	functions for desktop.el.

	* doc/Makefile.in (preview-latex.info): In the interest of
	release sanity, add --no-split option so that we have to cater
	for just a single info file.  Needs to be reverted later.

	* doc/readme.texi (Getting started): mention circ.tex here
	instead of installation.texi.

	* preview.el (preview-gs-filter): Don't remove from "Compilation"
	tag if just in filter routine.

	* patches/flyspell.patch, patches/mouse-drag.patch: update
	inflicted Emacs version number.

	* doc/problems.texi (Middle-clicks paste instead of toggling):
	Alas, those bugs persist into 21.2 although the CVS has had it
	fixed for half a year almost.  "Stable release" policies.  Ha.

2002-04-14  Nix  <nix@esperi.demon.co.uk>

	* preview.el (preview-parse-messages):
	Typo and grammar fixes in comments.
	No longer wonder if XEmacs will like line-number regexps.

	* doc/problems.texi (XEmacs):
	Say that it works modulo core bugs and new desktop.el package.
	Point to the latest version of the core patch.
	Suggest trying under MS Windows.
	(GNU Emacs under Windows): Point out that preview-latex's not been tested
	under Windows with XEmacs, either.

	* doc/install.texi (Prerequisites):
	No longer describe XEmacs support as preliminary.
	Mention the Known Problems link.
	(Configure): Elaborate --with-packagedir.
	(Loading the package): Mention that most of these instructions
	are unnecessary for XEmacs, except if you used --with-packagedir.
	(Maybe should split into Emacs/XEmacs subsections?)

2002-04-14  Jan-Ake Larsson  <jalar@imf.au.dk>

	* install.texi: Added --with-xemacs

	* preview-latex.spec: Only require xemacs >= 21.1

2002-04-14  David Kastrup  <David.Kastrup@t-online.de>

	* doc/install.texi Added section for package providers, updated
	the links.

	* preview.el (preview-error-condition): New variable for last
	error condition.
	(preview-log-error): Error reporting routine.  Logs to run buffer.
	(preview-reraise-error): At the end of routines, raise a true
	error with beep and whatever else is necessary to get attention.
	(preview-gs-sentinel, preview-gs-filter) 
	(preview-gs-dvips-sentinel, preview-gs-transact): use it.
	(preview-gs-transact): Don't send to dead process.
	(preview-parse-messages): Use error logger.
	(preview-TeX-inline-sentinel): Same here.
	(TeX-inline-preview): Catch initialization errors and abort.
	Good for people without graphic display.

2002-04-13  Jan-Ake Larsson  <jalar@imf.au.dk>

	* preview-latex.spec: Repair RedHat XEmacs braindamage

	* preview-latex.texi: Document new keybindings

2002-04-13  Nix  <nix@esperi.demon.co.uk>

	* prv-xemacs.el (preview-compatibility-macros):
	Bind the final list of compiled macros into the bytecode at
	the end of compilation.

2002-04-13  David Kastrup  <David.Kastrup@t-online.de>

	* prv-xemacs.el (preview-make-clickable): Revert changes.
	(preview-auto-reveal): revert default: reveal.el might be loaded
	after preview.el, and we still want the default to follow
	reveal-mode in that case.

2002-04-13  Nix  <nix@esperi.demon.co.uk>

	* prv-xemacs.el (preview-nonready-icon):
	Give a reasonable error if the icon doesn't exist.
	(preview-error-icon): Likewise.
	(preview-icon): Likewise.

	(preview-make-clickable): Set `isearch-open-invisible' on new clickable regions.
	(preview-toggle): Likewise.
	(preview-auto-reveal): Only track reveal-mode if reveal-mode is defined.
	If reveal-mode' is not defined, the default should be nil.

	(isearch-highlight): Make a protected, disabled advisement by default.
	(replace-highlight): Never exists; don't bother to advise.
	(preview-query-replace-reveal): Turn on the isearch-highlight advisement.

	* doc/todo.texi: Update XEmacs status: most things are now done.

2002-04-13  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-next-border): Fix a weird error where
	regions beyond the file were demanded.
	(preview-at-point): Include previews immediately before point for
	toggling.

	* prv-xemacs.el (preview-toggle): Make isearch open the invisible
	stuff, and make isearch-invisible track invisible so that isearch
	will not "restore" things improperly.
	(preview-move-point): isearch is manipulated by advising
	isearch-highlight.  No need to check here for isearch-mode.
	(defadvice): only advise replace-highlight if defined.

	* latex/preview.dtx (subsection{The \texttt{showlabels} option}):
	hotfix for strange label names.

	* preview.el (preview-disable): Go via toggle for disabling
	strings.

	* prv-xemacs.el (preview-mode-setup, preview-marker) 
	(preview-temporary-opened, preview-mark-point) 
	(preview-auto-reveal, preview-move-point, preview-open-overlays) 
	(replace-highlight, preview-query-replace-reveal) 
	(preview-change-list, preview-register-change) 
	(preview-check-changes, preview-handle-before-change) 
	(preview-handle-after-change): Do the whole fake-intangibility
	and change detection shmeer.  isearch does not work yet.

2002-04-12  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (LaTeX-preview-setup): call preview-mode-setup
	and/or put it in LaTeX-mode-hook.
	(preview-buffer, preview-document, LaTeX-preview-setup): New
	commands, keybindings, menu entries.  Things are now more
	orthogonal and you do no longer need C-c C-c and their ilk (though
	still supported): we have the commands all accessible via C-c C-p
	now.
	(preview-dsc-parse): Make DSC parsing more robust.

	* prv-xemacs.el (preview-mode-setup): New function.  Enable
	balloon help.

	* prv-emacs.el (preview-toggle): Move hook setup to
	preview-mode-setup.
	(preview-mode-setup): New function.
	(preview-mark-active): make macro.

	* Makefile.in: New icons.

	* images/preverr.xbm, images/preverr.xpm: New icons.

	* prv-emacs.el (preview-error-icon): New icon.

	* preview.el (preview-mouse-open-error): Use other call
	conventions in order not to confuse XEmacs.
	(preview-gs-flag-error): switch to using error icon.
	(preview-error-face): deleted.

	* prv-xemacs.el (preview-error-icon): New icon.
	(preview-make-clickable): new properties preview-balloon-help and
	preview-keymap.
	(preview-click-reroute): changed to use preview-keymap.
	(preview-reroute-map): new function.
	(preview-balloon-reroute): new function.
	(preview-toggle): change the juggling.

	* doc/preview-latex.texi (Simple customization): expound on the
	center example.

2002-04-11  Jan-Ake Larsson  <jalar@imf.au.dk>

	* preview-latex.spec: Adjustments for xemacs

	* doc/preview-latex.texi: Reinstate (reverse) textmath hint

2002-04-11  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-environment, preview-parse-messages): byte
	compiler warnings.
	(preview-buffer-restore-internal): basically the previous
	preview-buffer-restore.
	(preview-buffer-restore): delay resinstating previews vie
	desktop-delay-hook.

	* prv-xemacs.el (face-attribute): Try getting calculation of
	:height more correct.
	(preview-inherited-face-attribute): Make a macro.

	* prv-install.el (preview-make-package): Avoid Emacs
	unnecessarily loading all command line arguments as files.

	* prv-xemacs.el (preview-click-reroute): New routine to
	discriminate between clicks on glyphs or else.
	(preview-make-reroute): Generate a reroute map from original
	glyph clickable keymap.
	(preview-toggle): use the rerouter.

2002-04-10  Jan-Ake Larsson  <jalar@localhost.localdomain>

	* doc/preview-latex.texi: Added hint on getting custom
	environments previewed due to John Jones, remove the textmath hint

	* latex/.cvsignore: New

	* .cvsignore: Changed due to the 'latex' subdir

	* patches/x-symbol.patch: Removed

	* preview-latex.spec: Simplifications from using a 'latex' subdir

	* doc/Makefile.in: Use mkinstalldirs

2002-04-10  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-default-option-list): set textmath per
	default.

	* latex/README-preview: update to reflect added file footprint
	from preview.dtx

2002-04-10  Jan-Ake Larsson  <jalar@imf.au.dk>

	* Makefile.in: Move the texmf part to latex/Makefile.in, fix the
	'clean' target

	* configure.in: preview.dtx has moved, generate latex/Makefile

	* doc/Makefile.in: preview.dtx has moved

	* latex/README-preview, README-preview:
	Renamed README-preview to latex/README-preview

	* latex/bootstrap.ins, bootstrap.ins:
	Renamed bootstrap.ins to latex/bootstrap.ins

	* latex/preview.dtx, preview.dtx:
	Renamed preview.dtx to latex/preview.dtx

	* latex/Makefile.in: Move latex style to subdir, Typo corrected

2002-04-10  David Kastrup  <David.Kastrup@t-online.de>

	* prv-xemacs.el (face-attribute): GNU Emacs calculates face
	heights differently.
	(preview-replace-active-icon): For now do the full inefficient
	stuff.  Working this out later should be easy.  XEmacs now
	displays previews, but that's about all.
	(preview-button-1, preview-button-2): define as XEmacs buttons
	(preview-make-clickable): make balloon-help something that
	balloon-help-mode understands.

2002-04-09  Nix  <nix@esperi.demon.co.uk>

	* prv-xemacs.el: Remove crufty destructive-copy stuff.

	(map-plist, destructive-replace-glyph, copy-glyph): Removed.
	(preview-replace-active-icon): Just set the new image property rather than
	destructively copying it.

2002-04-09  Nix  <nix@esperi.demon.co.uk>

	* prv-xemacs.el (preview-nonready-icon): Fix baseline.
	(preview-icon): Likewise.

	Bug fixes:

	(destructive-replace-glyph): Don't confuse `new-glyph' and `glyph'.

	Sync with prv-emacs changes:

	(propertize): Create zero-length extents if possible.
	(preview-image-from-icon): Removed.
	(preview-string-from-image): Removed.
	(preview-replace-icon): Removed.
	(preview-nonready-copy): New, simple as anything.
	(preview-replace-active-icon): New, albeit apparently broken.

	(preview-make-clickable): Handle glyphs as well as strings.
	(preview-toggle): Clickable glyphs are now always on the `end-glyph'.

2002-04-09  David Kastrup  <David.Kastrup@t-online.de>

	* prv-emacs.el (preview-nonready-copy): replaces
	preview-image-from-icon
	(preview-replace-active-icon): replaces preview-replace-icon
	(preview-make-clickable): make preview-string-from-image
	unnecessary.

	* preview.el (preview-gs-place): Don't return image, just enter
	it.
	(preview-gs-transact): Call preview-replace-active-icon
	specialized routine instead of the more general hack used before.
	(preview-disabled-string): kill preview-string-from-image
	(preview-inactive-string): same here.
	(preview-eps-place): change in place semantics as above.
	(preview-active-string): Don't receive image argument.
	(preview-place-preview): New place semantics.

	* doc/problems.texi (x-symbol interoperation): Bump recommended
	version to 4.2.2.
	(Middle-clicks paste instead of toggling): Mention fixes present
	in Emacs-21.2.
	(Middle-clicks paste instead of toggling): Mention isearch.

2002-04-09  Jan-Ake Larsson  <jalar@imf.au.dk>

	* preview-latex.spec: Install icons

	* doc/preview-latex.texi: Put Nick in authors, slight other changes

	* doc/problems.texi: Added entry on fast conversion and bounding boxes

	* doc/todo.texi: Added manual stuff

2002-04-08  David Kastrup  <David.Kastrup@t-online.de>

	* doc/todo.texi: New suggestion for manual.

	* doc/readme.texi (Getting started): Adapt text to new icons.

	* doc/preview-latex.texi (The Emacs interface): Add documentation
	about the scaling variables/issues from preview-latex.

2002-04-07  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-parse-messages): Error message cosmetics
	and a judicious save-excursion for fast hooks.

	* prv-emacs.el (preview-nonready-icon): Use new icons.
	(preview-icon): Same here.

2002-04-07  Nix  <nix@esperi.demon.co.uk>

	* prv-install.el (preview-make-package-xemacs):
	Revert last change; package version numbers must be integral.
	Ensure that we get a valid integer even if `preview-version'
	contains multiple periods.

2002-04-07  David Kastrup  <David.Kastrup@t-online.de>

	* images: Icons, several revisions.

2002-04-06  Nix  <nix@esperi.demon.co.uk>

	* prv-install.el (preview-make-package-xemacs):
	Prepend "0." to XEmacs package version numbers
	for CVS versions of preview.el.

	* prv-xemacs.el (preview-icon,preview-nonready-icon):
	Use new icon images.

	* Makefile.in (ICONFORM,ICON_XPM_SOURCES): New
	variables, for icon installation.
	(ICON_XBM_SOURCES,ICON_SOURCES,icondir): Likewise.
	(ELCC): Include the ICONFORM.

	(install-icons): New, install the icons.

	(MKINSTALLDIRS): New (for later, when objdir!=srcdir support is added).
	(install): Use it.
	(install-el): Likewise.
	(install-texmf): Likewise.
	(install-texmf-doc): Likewise.

	* configure.in (icondir):
	Set for GNU Emacs too (but blank), and substitute it.
	(ICONFORM): New variable, comamnd-line switch to pass to (X)Emacs
	to find the images at build time (if needed).  Substitute it.

	* mkinstalldirs: New file, from automake-1.6.

2002-04-06  Nix  <nix@esperi.demon.co.uk>

	* doc/todo.texi: Update XEmacs status.

	* configure.in: Substitute the packagedir.

	* Makefile.in (packagedir): New variable, used by...
	(install-el): ... this new package-installation handling.

	* prv-install.el: New file, containing...
	(preview-make-package): New function.
	(preview-make-package-xemacs): New function, derived from
	emacs-w3m.

	* aclocal.m4 (AC_EXAMINE_PACKAGEDIR): Lowercasify PACKAGEDIR.
	(AC_PATH_PACKAGEDIR): Likewise.

2002-04-06  Alan Shutko  <ats@acm.org>

	* configure.in: Start adding XEmacs-specific hooks.  Right now,
	lispdir should be correctly set up, I think.  icondir is sitting
	there for when we add icons.

	* aclocal.m4 (AC_PATH_PACKAGEDIR,AC_EXAMINE_PACKAGEDIR): New
	functions for XEmacs installation, borrowed from from emacs-w3m,
	credit to Katsumi Yamaoka <yamaoka@jpl.org>.

2002-04-06  Jan-Ake Larsson  <jalar@imf.au.dk>

	* autogen.sh, doc/Makefile.in, doc/preview-latex.texi:
	Include todo.texi

	* doc/todo.texi: Moved from TODO

	* TODO: Moved to todo.texi

2002-04-05  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-parse-messages): Another addition to the
	fast location hook semantics.
	(preview-parse-messages): one last change for Christoph.

	* prv-emacs.el (preview-add-urgentization): Cosmetic change.

	* Additional frobbing of urgentization.

2002-04-05  Nix  <nix@esperi.demon.co.uk>

	* prv-xemacs.el (preview-add-urgentization): Use
	`set-extent-initial-redisplay-function' to force immediate
	redisplay if already on-screen.
	(preview-remove-urgentization): Likewise.

2002-04-05  David Kastrup  <David.Kastrup@t-online.de>

	* prv-xemacs.el (preview-remove-urgentization): proper return
	value.
	(preview-add-urgentization): Make entry in
	initial-redisplay-function easier to reextract for
	preview-remove-urgentization.

	* TODO: small changes.

2002-04-04  Nix  <nix@esperi.demon.co.uk>

	* preview.el (preview-parse-messages):
	Cater for XEmacs shy grouping bug (shy grouping
	very nearly doesn't work in XEmacs-21.4...)

	* prv-xemacs.el (match-string-no-properties):
	New, same as `match-string'.
	(set-buffer-multibyte): Degenerate implementation.

	(face-attribute): Throw an error of the right error class.
	(make-temp-file): Likewise.

	(preview-add-urgentization): Revise signature, as in prv-emacs.
	(preview-with-LaTeX-menus): Do not copy useless menus around.

	(preview-string-from-image): Make obvious that this generates any
	kind of glyph, not just begin-glyphs.
	(preview-ps-image): Revise signature (but implementation is still
	stubbed).
	(preview-toggle): Revise signature slightly. Flip between begin
	and end-glyphs to partially cater for XEmacs redisplay bug.

2002-04-04  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-gs-dvips-process-setup): Correct deletion
	of dvi file.
	(preview-dvips-abort): don't unnecessarily clean subdirs.
	(preview-gs-dvips-sentinel): get the delete semantics right.
	(preview-gs-close): same here.
	(preview-delete): after deleting files, set files in overlay to
	nil since in connection with urgentization we can get multiple
	deletions.
	(preview-parse-messages): initialize lfile to "", so that line
	number caching does not fail when the filename is "nil".
	(preview-parse-messages): AAAAAARGGG!!!.  Fix the typo that
	caused O(n^2) parsing time.

2002-04-03  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-gs-close): move.
	(preview-gs-dvips-process-setup): New function for setting up
	process just at the time of use.
	(preview-dvips-abort): New function.
	(preview-gs-dvips-sentinel): Overhaul.
	(preview-gs-close): Overhaul in order to do the right thing
	regardless of whether Dvips has finished or not.
	(preview-eps-open): Some initial changes.  'postscript image
	device likely to be broken by us (but it is broken in Emacs,
	anyway).
	(preview-parse-messages): Take `open-closure' as argument.
	(preview-parse-messages): different hook semantics for fast
	hooks.  We are still in negotiations over this...
	(preview-parse-messages): change parsestate to list of vectors.

2002-04-03  Jan-Ake Larsson  <jalar@imf.au.dk>

	* doc/preview-latex.texi: documented showlabels

	* doc/install.texi, doc/readme.texi: Slight edits

	* doc/problems.texi: Document x-symbol.patch, slight other edits

	* patches/x-symbol.patch: Initial version

	* preview-latex.spec: Use texmfdir, slight other edits

2002-04-03  Jan-Ake Larsson  <jalar@imf.au.dk>

	* preview-latex.spec: Use texmfdir, slight other edits

2002-04-02  Jan-Ake Larsson  <jalar@imf.au.dk>

	* aclocal.m4: escaped usage of $texmfdir

2002-04-01  Jan-Ake Larsson  <jalar@imf.au.dk>

	* Makefile.in: added texmf and elisp targets, also targets for
	$TEXMFGEN

	* preview-latex.spec: Initial stab at triple-rpm spec

	* doc/Makefile.in: *.dvi and *.info cleaned again

	* preview-latex.spec: Typo corrected

2002-04-01  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (LaTeX-preview-setup): Remove our own
	TeX-translation-hook that did not really work (supposed to remove
	Preview error messages from preview runs, but for document
	problems you'd rather use the real run, anyhow).
	(preview-parse-messages): remember directory when switching
	buffers.  Implement fast translation hooks.  A pity nobody uses
	them yet.
	(TeX-inline-preview): Use TeX-run-command instead of
	TeX-run-format: we miss out on the progress info in the mode
	line, but it slowed down the filter routine.

	* preview.dtx (subsection{The \texttt{auctex} option}): Make the
	error messages shorter to cut down on I/O time.

2002-03-31  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview): add cross links.

	* Makefile.in: Rerun LaTeX to get references right.

	* preview.dtx (subsection{The \texttt{auctex} option}): Disable
	\thanks and \and.

	* preview.el (preview-default-option-list): Update possibilities
	and docs.
	(preview-parse-messages): Don't do files not known to be
	human-generated.
	(preview-gs-queue-empty): New cleanout function.  We use this
	instead of just clearing preview-gs-queue in order to avoid
	losing pointers to deletable temporary files.
	(preview-gs-sentinel): Use it.
	(preview-gs-close): Same here.
	(preview-gs-open): And here.  Use unwind-protect in order to
	ascertain we process the queue.
	(preview-prepare-fast-conversion): Accept non-dereferenced big ps
	file.
	(preview-gs-dvips-sentinel): better behavior when processes get
	started and finished in unexpected orders.

2002-03-31  Jan-Ake Larsson  <jalar@imf.au.dk>

	* preview-latex.spec:
	Changed to include everything in /texmf/tex/latex/preview,
	fix for %config files
	
2002-03-30  David Kastrup  <David.Kastrup@t-online.de>

	* doc/preview-dtxdoc.pl, preview.dtx (section{Various driver
	files}): Add \previewlatex macro for consistent translation.

	* doc/preview-dtxdoc.pl: add \% and ~ translations.

	* preview.dtx (section{Package options}): document new option
	files.

	* doc/problems.texi (x-symbol interoperation): Mention speed
	problem.

	* preview.dtx: loads of smaller and larger changes, new options
	files.

	* preview.el (preview-back-command): typo.

	* autogen.sh (makeinfo): move into doc directory for
	autogenerating files so that include files are found.

2002-03-30  Jan-Ake Larsson  <jalar@imf.au.dk>

	* doc/Makefile.in: New dependency on macros.texi

	* doc/install.texi, doc/readme.texi, doc/copying.texi: 
	Macros in separate file

	* doc/problems.texi: Typo corrected, macros in separate file

	* doc/preview-dtxdoc.pl: Changed slightly wrt \cmd translation

	* doc/macros.texi: Macros for the texinfo generation

	* doc/preview-latex.texi: Typos corrected, macros in separate file.

2002-03-30  Alan Shutko  <ats@acm.org>

	* Makefile.in (TEXMFGEN): Use new variable.

	* configure.in (TEXMFGEN): New variable with the tex stuff
	generated which should be installed.

2002-03-29  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-back-command): Change call semantics to
	something easier to understand and try out.
	(preview-parse-messages): Remove unused variable `next-point'.
	(preview-parse-messages): Correct thinko and use new
	preview-back-command semantics.

2002-03-28  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx: move \pr@ship@start

	* preview-latex.spec (%configure): Use --with-texmf-dir.

2002-03-27  Alan Shutko  <ats@acm.org>

	* doc/install.texi (Configure): Reflect changes in configure
	options.

	* configure.in (--with-texmf): Changed to --with-texmf-dir per bug
	480837.
	(--with-preview-dir): Changed to --with-tex-dir per bug 480837.
	(--with-doc-dir): New.

2002-03-28  David Kastrup  <David.Kastrup@t-online.de>

	* circ.tex: Correct labels.

2002-03-27  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx: be careful in unboxing so as not to remove
	possibly shifted hboxes (bug reported by Jan-Åke) protected by an
	otherwise inexplicable penalty.

	* preview.el: Complete overhaul of parsing to avoid (costly)
	buffer switches.
	(preview-gs-close): Transfer queue to
	preview-gs-queue.
	(preview-gs-open): Pass arglist to preview-parse-messages for
	place functions.
	(preview-eps-open): Same.
	(preview-gs-place): Completely different args in order to avoid
	buffer switching.  Different return value.
	(preview-inactive-string): Different semantics (were valid before
	by accident, so no change in callers necessary).
	(preview-eps-place): Rearranged to avoid buffer switching.
	(preview-make-filename): require tempdir.
	(preview-delete-file): changed API to avoid buffer switching.
	(preview-place-preview): Same.
	(preview-parse-messages): New args passed into place routines.
	Completely rearranged and merged preview-analyze-error into it.
	(preview-start-dvips): Pass tempdir to preview-make-filename

	* prv-emacs.el (preview-add-urgentization): Changed API, but it
	turns out this gets called just like it did before.

2002-03-27  Jan-Ake Larsson  <jalar@imf.au.dk>

	* doc/.cvsignore: Ignore preview-dtxdoc.texi

	* doc/Makefile.in: Autogeneration of ../preview.dtx ->
	preview-dtxdoc.texi

	* doc/preview-dtxdoc.pl: Initial version

	* doc/preview-latex.texi: Moved menu to problems.texi, documented
	preview-auto-reveal and preview-inner-environments, include
	autogenerated preview-dtxdoc.texi

	* doc/problems.texi: Moved menu here from preview-latex.texi

	* doc/readme.texi: Removed out-commented parts

2002-03-26  Jan-Ake Larsson  <jalar@imf.au.dk>

	* preview.dtx: Minimal change to simplify autogen of texinfo manuals

2002-03-26  Alan Shutko  <ats@acm.org>

	* doc/.cvsignore: Add preview-latex.tmp.

	* .cvsignore: Add latex.out.

	* autogen.sh: Modify ed script to account for difference between
	AC_INIT in 2.13 and 2.52


	* doc/Makefile.in (INSTALLINFO): Make it use configure value.

	* configure.in: Check for path of install-info.  Check whether
	Emacs supports images.

2002-03-26  David Kastrup  <David.Kastrup@t-online.de>

	* TODO (Integrate into RefTeX): bemoan another shortcoming, or
	rather feature wish.

2002-03-25  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-gs-dvips-sentinel): Treat absence of
	previews in buffer more graciously.
	(preview-parse-messages): require space before !name and !offset
	tags from AUC TeX.

	* prv-emacs.el (preview-auto-reveal, replace-highlight) 
	(preview-query-replace-reveal): moved.

	* preview.dtx (subsection{The internals}): Remove spurious space
	via \vsplit.
	(subsection{The internals}): Set \deadcycles to avoid TeX
	interfering with our \output fake.
	(subsection{Selection options}): Implement hooking into equations
	differently.  Somewhat ugly hack to circumvent amslatex/3425 bug.
	(subsection{Preview attaching commands}): keep \showboxbreadth
	and \showboxdepth operative, though set to minimal values.
	(\cmd{\everypar}): Cater for ugly LaTeX commands that hide things
	like the startup code of \paragraph in \everypar.

	* doc/problems.texi (x-symbol interoperation): Update Web address.

	* doc/readme.texi (Contacts): Remove personal Email address from
	README.

2002-03-24  Jan-Ake Larsson  <jalar@imf.au.dk>

	* doc/install.texi: Incorporated "Prerequisites" from readme.texi

	* doc/preview-latex.texi: Moved "Getting started" to readme.texi,
	also index changes

	* doc/readme.texi: Moved "Getting started" from
	preview-latex.texi, moved "Prerequisites" to install.texi, Placed
	appropriate pointers and crossreferences in README and other
	manuals

2002-03-24  David Kastrup  <David.Kastrup@t-online.de>

	* RELEASE: Info about RedHat 7.3 beta.

	* preview.dtx (subsection{The internals}): Spacing improvements.

	* prv-emacs.el (replace-highlight): advise so that query-replace
	works as reasonable.
	(preview-query-replace-reveal): Option to make this customizable.

2002-03-23  David Kastrup  <David.Kastrup@t-online.de>

	* prv-emacs.el (preview-toggle): get rid of
	isearch-open-invisible hooks and stuff; using the invisible
	property was confusing to the display engine, anyhow, and was
	about to be broken by changes in Emacs.  The current behavior for
	isearch is nicer than the default was before, so what.
	(preview-auto-reveal): New customizable option.

	* doc/problems.texi (Emacs problems): Windows availability for CVS
	Emacs.

	* doc/readme.texi: Windows availability for CVS Emacs.

	* preview.el (preview-parse-messages): Comment used regexps.

	* preview.dtx (subsection{The internals}): Removed an \everypar
	that caused bad spacing.  No idea why.  Redundant anyway.
	(subsection{Selection options}): changed displaymath option to
	put in the \everydisplay tokens at a theoretically more correct
	place.  Explicitly hooked equation and equation*: AMSLaTeX calls
	them too late to have them behave well.
	(subsection{Preview attaching commands}): Corrected
	\PreviewEnvironment which must have led to error messages for
	months.  Seems nobody cares.
	(subsection{Selection options}): Still more displaymath cosmetics.

2002-03-22  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx (section{The Implementation}): fix typo in dvips
	option. Ugh.

	* preview.el (preview-bb-filesize): move to preview-gs group.
	(LaTeX-preview-setup): add bug reporter.
	(preview-report-bug): update reported options.

2002-03-22  Jan-Ake Larsson  <jalar@jalar.imf.au.dk>

	* doc/preview-latex.texi (preview-environment):
	doc rewrite. Slight other layout changes

2002-03-22  David Kastrup  <David.Kastrup@t-online.de>

	* doc/problems.texi: Edits.

	* doc/install.texi: Lots of editing

	* doc/readme.texi: same here

	* doc/preview-latex.texi: same here

	* RELEASE: Changes for 0.7.

	* TODO: Throw out stuff already implemented.

	* preview.el (preview-prefer-TeX-bb): Doc cosmetic.
	(preview-fast-conversion): Now defaults to on.
	(preview-fast-dvips-command): remove -tletter option, we do this
	better now.
	(preview-LaTeX-command): Pass new dvips option to preview.

	* preview.dtx (section{Package options}) 
	(section{The Implementation}): Add dvips option for overriding
	page dimensions/landscape and such stuff.

	* preview.el (preview-TeX-bb): comment sanitized.
	(preview-gs-init-string, preview-ps-file, preview-gs-dsc): new
	variables.
	(preview-fast-conversion): Set this customizable variable for an
	impressive speedup, particularly of the DviPS pass.
	(preview-dvips-command): moved.
	(preview-fast-dvips-command): New command for fast conversion.
	(preview-gs-restart): send initialization string to gs
	(preview-gs-open): initialize preview-gs-init-string
	(preview-gs-open): pass preview-fast-conversion into
	preview-start-dvips
	(preview-dsc-parse, preview-gs-dsc-cvx) 
	(preview-prepare-fast-conversion): New functions for using DSC
	comments.
	(preview-gs-dvips-sentinel): read DSC in.
	(preview-gs-place): remember snippet in 'queued property.
	(preview-mouse-open-eps): allow opening at position.
	(preview-gs-flag-error): take preview-gs-init-string into
	account, generate other message for fast PS conversion.
	(preview-gs-transact): allow non-empty stack in prompt, use
	preview-latex-do command in GhostScript.
	(preview-place-preview): comment correction, no eps file if ps
	generated.
	(preview-analyze-error): doc change.
	(preview-start-dvips): allow for fast version.

	* prv-emacs.el (preview-ps-image): Allow optional bounding box
	from TeX.

2002-03-21  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx (subsection{Preview attaching commands}): Backward
	compatible message with TeX bounding box.

	* preview.el (preview-parse-messages): Backward compatible
	message parsing.

	* preview.dtx (subsection{The internals}, subsection{Preview
	attaching commands}): provide additional bounding box info.
	(subsection{The internals}): move location of \pr@shipend to
	before shipping out \pr@box so that we may measure/change it.
	(subsection{Selection options}): slightly changed call of old
	\everydisplay hook.
	(subsection{Preview attaching commands}): disable more warnings
	in order to decrease possible parse errors of preview.el.

	* preview.el (preview-prefer-TeX-bb): New option to fish bounding
	box from TeX output.  Not enabled by default until we get to fix
	a particular problem occuring with split environment nested in
	equation.
	(preview-TeX-bb-border): Additional slop around bounding box.
	(preview-TeX-bb): New function to calculate PostScript bb from
	TeX box dimensions in sp.
	(preview-gs-place, preview-eps-place, preview-place-preview):
	accept additional box argument.
	(preview-gs-transact): consider more box sources.
	(preview-delete-file, preview-make-filename): new semantics for
	reference-counting files.
	(preview-parse-messages, preview-analyze-error): Parse additional
	bounding box information from AUC TeX run.

2002-03-20  Nix  <nix@esperi.demon.co.uk>

	* prv-xemacs.el (preview-with-LaTeX-menus): Handle the case
	where the current menubar is not the AuCTeX one. Remove
	dead code.

2002-03-19  Nix  <nix@esperi.demon.co.uk>

	* preview.dtx: Doc fix.

	* preview.el: Require `reporter'.
	* preview.el (preview-image-creators): Doc extension.
	* preview.el (preview-eps-place): Doc fix.
	* preview.el (preview-analyze-error): Likewise.
	* preview.el (preview-gs): Grammar fix.
	* preview.el (preview-face): Likewise.
	* preview.el (preview-temp-dirs): Layout fix.
	* preview.el (preview-environment): Grammar and layout fix.

	* preview.el (preview-mouse-open-eps): Cater for XEmacs's
	more limited PostScript mode.
	* preview.el (LaTeX-preview-setup): Use `preview-mark-active' to
	cater for Emacs/XEmacs active-region detection differences.

	* prv-emacs.el (preview-nonready-icon): Doc fix.
	* prv-emacs.el (preview-image-from-icon): Likewise.
	* prv-emacs.el (preview-mark-active): New.

	* prv-xemacs.el (preview-gs-color-value): New, from prv-emacs.el.

2002-03-19  Nix  <nix@esperi.demon.co.uk>

	* prv-xemacs.el: Require overlay always, not just at compile time.

	(preview-compatibility-macros): Define only when compiling.
	(preview-defmacro): Likewise.  Teach Emacs to indent this form properly.

	Code to compensate for features missing in XEmacs:

	(face-attribute): Teach how to fake :foreground and :background.

	(find-image): Remove.
	(defimage): Likewise. There's no need for this call here; even if there
	were, the image-type analysis should take place at instantiation
	time, not definition time.

	(easy-menu-create-menu): New, after the Emacs function.
	(next-single-char-property-change): Likewise.
	(previous-single-char-property-change): Likewise.
	(with-temp-message): Likewise.
	(add-to-list): Likewise, redefining the two-argument XEmacs version.

	(copy-glyph): New, uses...
	(destructive-replace-glyph): ... this. New (and ugly). Uses...
	(map-plist): ... this. New, `map' for property lists.

	Code derived from prv-emacs.el:

	(preview-mark-active): New, handle the special XEmacs `mark-is-nil' case.
	(preview-create-icon): New.
	(preview-icon): XEmacsize from commented-out code; reindent.
	(preview-nonready-icon): Likewise.

	(preview-add-urgentization): Add docstring.
	(preview-add-urgentization): Likewise.

	(preview-image-from-icon): New.
	(preview-string-from-image): Likewise.
	(preview-make-clickable): Likewise.
	(preview-ps-image): Likewise.
	(preview-toggle): Likewise.
	(preview-inherited-face-attribute): Likewise.
	(preview-with-LaTeX-menus): Likewise.
	(preview-gs-get-colors): Likewise.

	(provide): Add.

2002-03-16  David Kastrup  <David.Kastrup@t-online.de>

	* doc/install.texi: Work in progress.

	* doc/readme.texi: Work in progress.

	* TODO: update wish list.  This is getting longer by the minute.

	* doc/Makefile.in (INSTALL, README, PROBLEMS): add -D rawfile
	option for raw text files.

	* doc/readme.texi: documentation restructuring for making README
	good on preinstalled systems.

	* autogen.sh (makeinfo): add -D rawfile option for raw text files

2002-03-15  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx (subsection{Preview attaching commands}): disable
	\showmaxdepth and \showmaxbreadth.

	* preview.el (preview-place-preview): (widen) paranoia.
	(preview-back-command): same here.
	(LaTeX-preview-setup): better safe than sorry (users might call
	this wrong), so rerequire 'latex
	(preview-parse-messages): New regexp parser.  Nick, if the shy
	groups \(?: ...\) worry XEmacs, make them non-shy and adjust the
	match-... thingies appropriately.
	(preview-analyze-error): and another save-restriction...

2002-03-14  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-parse-messages): Obliterate preview-snippet
	and preview-snippet-start for general parsestate.
	(preview-analyze-error): Use parsestate and cache line number
	info from last call.  This plugs a *big* performance hog
	(goto-line).  Made buffer parsing here about 8 times faster.

2002-03-13  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx (subsection{The internals}): Use
	\@arrayparboxrestore for better reset of spacing.

	* preview.el (require): avoid compiler warning.
	(preview-goto-info-page): new function
	(LaTeX-preview-setup): add preview-goto-info-page binding
	(info): add preview prefix for C-h F lookup
	(LaTeX-preview-setup): add documentation and customization menu.

2002-03-11  David Kastrup  <David.Kastrup@t-online.de>

	* Release 0.6.1

2002-03-10  David Kastrup  <David.Kastrup@t-online.de>

	* Makefile.in: Add preview.ins target.

	* doc/install.texi: Brown paper bag.

	* autogen.sh: don't prebuild doc.  We offer a separate download
	archive for people without texinfo.

	* preview-latex.spec (BuildRequires): changes for 0.6.1.

	* doc/install.texi: Some changes for 0.6.1.

	* RELEASE: Some adjustments for 0.6.1.

2002-03-09  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (LaTeX-preview-setup): Use preview-with-LaTeX-menus.

	* prv-emacs.el (preview-with-LaTeX-menus): New function
	temporarily making menus active.  This is quite different for
	XEmacs.

2002-03-09  Nix  <nix@esperi.demon.co.uk>

	* doc/preview-latex.texi: Minor typo fixes.
	* doc/problems.texi: Likewise.

2002-03-09  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (LaTeX-preview-setup): Deal with the easy-menu
	sickness so that XEmacs might work.
	(LaTeX-preview-setup): (require 'latex) unnecessary, we get
	called only if the feature has been loaded already.

2002-03-08  Alan Shutko  <ats@acm.org>

	* configure.in: When checking for texhash, use /bin/true if we
	can't find it.

2002-03-08  David Kastrup  <David.Kastrup@t-online.de>

	* doc/problems.texi (Emacs problems), doc/readme.texi: some
	brighter outlook with regard to XEmacs port.

	* preview.el (preview-gs-transact): Throw in the towel.  We don't
	use .runandhide (and .setsafe) unless we are dealing with gs with
	a version of at least 7.00.  gs-6.53 seems to provide
	.runandhide, while making it useless because
	   save .setsafe restore
	does not return to unsafer mode.

2002-03-05  David Kastrup  <David.Kastrup@t-online.de>

	* RELEASE: Few changes and explanations for 0.6.1.

	* doc/problems.texi (Font problems with Dvips): Changed pounds
	sign.  Not much of an improvement (we get the wrong character),
	but 7bit safe.  If Jan-Åke finds this as desirable as to have his
	own name mangled, we should follow at least make it pay off.

	* doc/preview-latex.texi (On EPS previews): png16m is default
	instead of png256.

	* doc/install.texi: Document 8bit problems.

	* README.CVS: updated.

	* configure.in: update to autoconf 2.52.

	* autogen.sh: Wheedle MY_LANG and MY_LC_CTYPE in if autoconf
	failed to do so.

	* preview.el: copyright extended.  Basically overhaul of
	persistent data, leads to:
	(preview-disable): clear timestamp.
	(preview-delete): Don't fiddle with ovr after it is already
	deleted.
	(preview-clearout): additional argument timestamp
	(preview-kill-buffer-cleanup): New function for killing buffers:
	properly time-stamped previews will not get their files deleted.
	(kill-buffer-hook): use it
	(before-revert-hook): use it
	(desktop-buffer-preview-misc-data): changed dissect call, work
	only if buffer unmodified.
	(preview-dissect): work with timestamp, don't destroy preview.
	(preview-buffer-restore): new function, works from saved data.
	(desktop-buffer-preview): use it.
	(preview-cleanout-tempfiles): Do things differently.
	(LaTeX-preview-setup): Call preview-buffer-restore if we
	accidently got here before setting up the desktop hooks.

2002-03-04  David Kastrup  <David.Kastrup@t-online.de>

	* doc/preview-latex.texi (Package options): doc changes, psfixbb
	documented.

	* doc/problems.texi: doc changes.

	* doc/readme.texi: doc changes (@AUCTeX).

	* doc/install.texi: doc changes.

	* doc/preview-latex.texi: some documentation amendments.

	* preview.el (preview-dissect): improve false desktop cleanups.
	(desktop-buffer-preview): handle file load oneself.
	(preview-place-preview): subtle bug leading to empty previews
	accumulating in secondary buffers.
	(preview-reinstate-preview): don't reinstate previews where the
	files have been deleted.
	(preview-TeX-inline-sentinel): Make sure "Compilation" flag gets
	cleared even on errors.
	(preview-environment): Doc change.
	(desktop-buffer-preview-misc-data, preview-dissect) 
	(desktop-buffer-preview, preview-cleanout-tempfiles) 
	(preview-active-string, preview-reinstate-preview) 
	(preview-default-preamble): Doc corrections/additions.

2002-03-02  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-gs-transact): Don't use .setsafe unless
	.runandhide is defined.  There might be no way back to unsafer
	mode otherwise.
	(preview-create-subdirectory): Be more forgiving about users
	messing up the directory organization of preview-latex, by
	manually deleting stuff under its control.

2002-03-01  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-default-option-list): add new options.

	* preview.dtx: add new package option psfixbb for getting better
	bounding boxes in the presence of PStricks and the like.

2002-02-28  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-inner-environments): New variable for
	avoiding ugly environments.
	(preview-environment): Accept a count, and avoid bad environments.
	(preview-section): Doc string fixed.

2002-02-26  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (require): suppress desktop warnings
	(preview-clearout): restrict to narrowed area.
	(desktop-buffer-preview-misc-data): widen.
	(preview-dissect): don't use subseq from cl-extra, rather butlast
	from subr.
	(preview-cleanout-tempfiles): new routine used in kill-emacs-hook
	(preview-reinstate-preview): setup kill-emacs-hook late so that
	preview-cleanout gets called after desktop saving
	(preview-create-subdirectory): same here

2002-02-25  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (TeX-active-tempdir): Changed the type.
	(preview-gs-dvips-sentinel): adjusted for that.
	(preview-gs-place): queued is now missing image
	(preview-gs-transact): that is in overlay property preview-image
	instead.
	(preview-gs-transact): adapt to new queued
	(desktop-buffer-preview-misc-data): save overlays when leaving
	desktop.
	(preview-dissect): gets details from overlay.
	(desktop-buffer-preview): restore overlays on reentry
	(kill-emacs-hook): must be run after desktop hook.
	(preview-active-string): gets passed image instead of snippet.
	(preview-make-filename): New TeX-active-tempdir type
	(preview-delete-file): same here
	(preview-place-preview): adapt to new preview-active-string
	(preview-reinstate-preview): new function for restoring a preview
	(preview-create-subdirectory): new TeX-active-tempdir type

2002-02-24  Jan-Ake Larsson  <jalar@imf.au.dk>
  
	* doc/preview-latex.texi: Incorporated docs from preview.dtx,
	minor other changes

2002-02-20  Jan-Ake Larsson  <jalar@imf.au.dk>

	* doc/preview-latex.texi: Removed isolatin1 style include and chars

2002-02-20  Alan Shutko  <ats@acm.org>

	* configure.in: Patch from Stephen Gildea
	correcting the disable-8bit-test code.

2002-02-19  Jan-Ake Larsson  <jalar@imf.au.dk>

	* Created 0.6b, which includes .info and .dvi manuals
	
	* doc/Makefile.in: Removed .info and .dvi from 'clean' target

2002-02-19  David Kastrup  <David.Kastrup@t-online.de>

	* Release 0.6

2002-02-19  Jan-Ake Larsson  <jalar@imf.au.dk>

	* Makefile.in:
	Changed target 'doc' to 'docs'. 'doc' matched the (unchanged)
	directory 'doc'.

	* preview-latex.el: Startup file for site-start.d

	* preview-latex.spec:
	Added site-start.d support and prauctex.cfg config file

2002-02-19  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx: Oops, prauctex.cfg inadvertantly overrode a
	possible "sections" option.
	(subsection{The internals}): The fake \shipout had a syntax
	error.  Why don't people report bugs?

2002-02-18  Alan Shutko  <ats@acm.org>

	* Makefile.in (all): Split out docs target so install-hint is
	still last.  Ditto install.

2002-02-18  David Kastrup  <David.Kastrup@t-online.de>

	* TODO: Add a few suggestions and throw out what has already been
	accomplished.

	* README-preview: Slight edits.

	* README.CVS: mention PROBLEMS as autogenerated file, add warning
	about autoconf earlier than 2.13.

	* RELEASE: explain about configuration files.

	* doc/preview-latex.texi: dircategory Emacs

	* doc/Makefile.in (install): correct install target for
	install-info.

	* doc/preview-latex.texi (Misplaced previews): explain about
	prauctex.cfg.

	* doc/install.texi: Write @LaTeX instead of La@TeX

	* preview.el (preview-default-preamble): Shorten stuff out that
	sits now in prauctex.cfg.

	* Makefile.in (all): cater for prauctex.cfg.  Same for other
	targets.

	* preview.dtx (section{Introduction}): Replaced TeX by \TeX and
	similar cosmetics.
	(section{Package options}): Added noconfig option, explained
	prdefault.cfg (not yet there) and prauctex.cfg.
	(subsection{Preview attaching commands}): Predefine prauctex.cfg.
	(section{Various drivers}): make installer extract it.

2002-02-18  Jan-Ake Larsson  <jalar@imf.au.dk>

	* problems.texi: Simple layout fix

	* preview-latex.spec: For 0.6 proper

	* RELEASE: Mention AUC TeX RPM on project site

	* Makefile.in: Fixed 'make clean' in doc subdir, install info
	files too

	* doc/Makefile.in: Typo corrected, fixed INSTALL_DATA

2002-02-17  Alan Shutko  <ats@acm.org>

	* doc/Makefile.in: New file, replacing the former ad-hoc build.

	* doc/install.texi: Mention --disable-8bit-test.

	* doc/problems.texi (LaTeX international characters): Mention
	--disable-8bit-test.

	* aclocal.m4 (AC_CHECK_AUCTEX): Correct --with-auctex to
	--with-tex-site.

	* configure.in: 8bit test enhancements.  Allow disabling test with
	--disable-8bit-test.  
	Check for makeinfo.
	Generate doc/Makefile.

2002-02-17  David Kastrup  <David.Kastrup@t-online.de>

	* doc/install.texi: Mention problems with 8-bit-uncleanliness.
	We need an override still.

	* doc/problems.texi (LaTeX international characters): Mention
	that configure might barf.

2002-02-15  Jan-Ake Larsson  <jalar@imf.au.dk>

	* RELEASE: RPM info added, "for RH 7.x"

2002-02-14  Jan-Ake Larsson  <jalar@imf.au.dk>

	* preview-latex.spec:
	For 0.6. Included code to build from CVS and temporary fix to allow
	build before autoconf includes docs, included patches subdir in %doc

	* doc/Makefile: Typo corrected

2002-02-11  Jan-Ake Larsson  <jalar@imf.au.dk>

	* doc/readme.texi, doc/install.texi, doc/problems.texi,
	doc/copying.texi: Include @macro defs for text-file generation

	* doc/problems.texi: Minor changes

	* doc/readme.texi: Shortened

	* doc/Makefile: Added --no-validate on README

	* doc/install.texi: Layout changes, xref to PROBLEMS shortened

	* doc/problems.texi:
	Layout changes, added text on bug reports and GS EPS handling

	* doc/preview-latex.texi: Layout changes, install-info fix, index
	additions, fixed direntries for preview-latex

2002-02-11  David Kastrup  <David.Kastrup@t-online.de>

	* doc/Makefile (install): install the renamed info files.

	* doc/preview-latex.texi: change output file name to
	preview-latex.info in order to keep preview-latex as a directory
	name for HTML output.

	* doc/Makefile (preview-latex/index.html): generate HTML with
	makeinfo as texi2html does not grok @preview-latex.

	* doc/preview-latex.texi: Write Å instead of @AA (x-symbol sneaked
	that in).  And revert again: does not print.

	* doc/install.texi: Use @previewlatex.

	* doc/problems.texi: Use @previewlatex and @uref.

	* doc/readme.texi: Use @previewlatex.

	* doc/copying.texi: Use @previewlatex.

	* doc/preview-latex.texi (top): Introduce @previewlatex macro and
	use it throughout.  Some more changes.

2002-02-09  David Kastrup  <David.Kastrup@t-online.de>
	
	*  INSTALL README PROBLEMS: removed because autogenerated
	*  README.CVS and autogen.sh added.

	* doc/problems.texi: Initial rendition of PROBLEMS file in
	texindex form.

	* doc/copying.texi: Change Preview La@TeX{} to preview-latex

	* preview.el (preview-image-creators): Change png default device
	to png16m due to popular request.

	* doc/readme.texi: overhaul for 0.6.

	* doc/preview-latex.texi: fat overhaul.

	* preview.dtx (section{The Implementation}): Simplify \pr@advise,
	it broke the delayed option.
	(subsection{Preview attaching commands}): Same.

2002-02-08  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-gs-transact): Sigh.  Some refinements to the
	SAFER stuff: restart gs on errors that seem to stop in SAFER mode.
	(preview-gs-transact): And another few changes, there are gs
	versions that have .setsafer but not .runandhide.  Rats.

2002-02-07  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx (subsection{Preview attaching commands}): Use
	\nofiles instead of \@fileswfalse in order to suppress erroneous
	log file output.

	* preview.el (preview-gs-options): Remove -DSAFER option that
	causes OutputFile selection of GhostScript to fail (starting with
	7.04).  This cannot be the final fix.
	(preview-gs-options): Ok, so it isn't.  Restored -dSAFER and added
	-dDELAYSAFER (which should be ignored by earlier GhostScript
	versions).  Also:
	(preview-gs-transact): call .setsafe procedure if defined in
	systemdict, so we don't get unsafer in GhostScript 7.04.

2002-02-06  Jan-Ake Larsson  <jalar@imf.au.dk>

	* readme.texi: Index and layout changes

2002-02-05  Jan-Ake Larsson  <jalar@imf.au.dk>

	* copying.texi: Less zealous index

	* readme.texi: Typo corrected

	* preview-latex.texi: Document preview-default-preamble, bumped
	release number, typos corrected.

	* doc/Makefile: Simpler index generation

2002-02-04  Jan-Ake Larsson  <jalar@imf.au.dk>

	* preview-latex.texi: Simplify to only one section for keys and
	lisp function sections. Also only one Index.

2002-02-01  David Kastrup  <David.Kastrup@t-online.de>

	* PROBLEMS: Tell about x-symbol 4.0h/beta working successfully
	with preview-latex.	

2002-02-01  Alan Shutko  <ats@acm.org>

	* configure.in: Corrected error message for 8-bit test.

2002-01-30  Alan Shutko  <ats@acm.org>

	* configure.in: Added diversion at the beginning to allow us to
	save LANG and LC_CTYPE for the 8-bit test.  Also added test to see
	if LaTeX is 8-bt clean.

2002-01-24  Jan-Ake Larsson  <jalar@imf.au.dk>

	* preview-latex.spec: Initial version. On the 0.5.8.2 release.

2002-01-22  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (LaTeX-preview-setup): quote created directory name
	in %m fields.

2002-01-18  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx (subsection{The internals}): Try catering for output
	routine changes.

2002-01-18  Jan-Ake Larsson  <jalar@imf.au.dk>

	* preview.el (preview-make-preamble): Simplified the code by sorting
	TeX-expand-list better.

2002-01-18  David Kastrup  <David.Kastrup@t-online.de>

	* RELEASE: Document a few changes.

	* doc/preview-latex.texi: document preview-at-point

	* preview.el (preview-next-border): Doc change.
	(preview-at-point): renamed from preview-dwim.
	(LaTeX-preview-setup): use preview-at-point.
	(LaTeX-preview-setup): menu change.
	(preview-document-pt): Use TeX-style-list instead of
	TeX-active-styles so that AucTeX may parse if not yet done.
	(before-revert-hook): clearout previews on revert.

2002-01-17  Jan-Ake Larsson  <jalar@imf.au.dk>

	* preview.el (preview-default-preamble): Added default preamble
	for use when a document not configured for preview-latex is
	previewed in AUC TeX. 
	
	* preview-latex.texi (section Misplaced previews): Info on \emph
	and \PreviewMacro*.

2001-12-05  Jan-Ake Larsson  <jalar@imf.au.dk>

	* preview-latex.texi: Added new section: User-level lisp functions

	* install.texi: Layout improvements

	* doc/Makefile: Typo and dependencies corrected

2001-12-04  Jan-Ake Larsson  <jalar@imf.au.dk>

	* doc/Makefile: Added index generation for DVI docs

2001-12-03  Jan-Ake Larsson  <jalar@imf.au.dk>

	* preview-latex.texi:
	Keymap documentation and general text on emacs interface added

	* readme.texi, install.texi: Layout changes

2001-12-03  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-clearout): add optional argument keep-dir.
	(preview-place-preview): Don't clearout previews from current
	run.  This makes preview-latex keep multiple previews in command
	arguments instead of just keeping the last such one.

2001-11-30  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx (section{Provided Commands}): Add descriptions of
	new commands \PreviewMacro* and \PreviewEnvironment*.
	(subsection{The internals}): New internal \pr@protect.
	(subsection{Preview attaching commands}): Implement the new
	`*'-forms.
	(subsection{Preview attaching commands}): 
	Also treat \end{env} in \PreviewEnvironment*.

2001-11-30  Jan-Ake Larsson  <jalar@imf.au.dk>

	* preview-latex.texi, install.texi:
	Autoload the package rather than require it.

2001-11-30  David Kastrup  <David.Kastrup@t-online.de>

	* prv-emacs.el (preview-register-change): widen before getting
	substring in order to avoid error when narrowed.
	(preview-check-changes): Same here.
	(preview-handle-insert-in-front): Changed DOC string.
	(preview-handle-insert-behind): same.
	(preview-handle-modification): same.

2001-11-29  Jan-Åke Larsson <jalar@imf.au.dk>

	* doc/preview-latex.texi: Created first draft

	* doc/readme.texi: Created first draft

	* doc/readme.texi: Created first draft

	* doc/copying.texi: Created

	* doc/Makefile: Created layout. Now for autoconf, Alan?
	
2001-11-28  Alan Shutko  <ats@acm.org>

	* INSTALL (--with-tex-site): Rename --with-auctex.

	* aclocal.m4 (AC_CHECK_AUCTEX): Try to fix things so that it looks
	for tex-site, only tex-site, and adds the location of tex-site
	into the load-path.
	(AC_CHECK_REQUIRE): New.
	(AC_CHECK_AUCTEX): Change name of --with-auctex to --with-tex-site.

2001-11-12  Alan Shutko  <ats@acm.org>

	* Makefile.in (lispdir): Remove /preview because @lispdir@ now
	includes it. 

	* aclocal.m4 (AC_PATH_LISPDIR): Modify it so it prints out
	that lisp files are going in $lispdir/preview.

2001-11-20  David Kastrup  <David.Kastrup@t-online.de>

	* README-preview: adjust instructions because preview.ins will be
	available on CTAN already.

	* prv-emacs.el (preview-make-clickable): consult
	`preview-button-1' and `preview-button-2' at run-time.
	(preview-overlay): Need insert-behind-hooks too in case someone
	uses `insert-before-markers' at end of previews.
	(preview-change-list): New variable.
	(preview-register-change): New function.
	(preview-check-changes): New function.  All of this stuff is to
	make sure we open/disable overlays only if permanent changes occur
	inside.
	(preview-handle-insert-in-front): some changes for new behaviour.
	(preview-handle-insert-behind): New function.
	(preview-move-point): Call `preview-check-changes' after commands.
	(preview-gs-color-value): checkdoc-compatible comment.

	* preview.el: Change installation comments

2001-11-15  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx (section{Provided Commands}): Correct documentation
	names for \PreviewEnvironment and \PreviewSnarfEnvironment

	* prv-emacs.el (preview-inherited-face-attribute): Add document
	string, simplify some tests.

	* preview.el: Add autoload magic comments.
	(preview-compatibility-macros): avoid byte compiler warning.

2001-11-13  David Kastrup  <David.Kastrup@t-online.de>

	* PROBLEMS: Add patch for mouse-drag.el

	* INSTALL: add autoload instructions for fastest Emacs startup.

2001-11-12  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-gs-restart): Use push.
	(preview-clearout-buffer): New function.  Use in kill-buffer-hook.
	(kill-emacs-hook): add cleanout of temp directories when leaving
	Emacs.
	(preview-make-options): cosmetics
	(LaTeX-preview-setup): add keybindings for clearing buffer
	(preview-clean-subdir): cosmetic changes.
	(preview-clean-topdir): new function.
	(preview-create-subdirectory): use it.
	(preview-report-bug): report preview-dvips-command.

2001-11-11  David Kastrup  <David.Kastrup@t-online.de>

	* Release 0.5.8.2

2001-11-11  Alan Shutko  <ats@acm.org>

	* aclocal.m4 (AC_EMACS_CHECK_LIB_WITH_LIB): varient of
	AC_EMACS_CHECK_LIB which first requires a prereq lib.
	(AC_CHECK_AUCTEX): Use AC_EMACS_CHECK_LIB_WITH_LIB to prereq
	tex-site.

	* Makefile.in (use-hint): Get line wrapping right.

	* configure.in (--with-texmf): Applied patch from Hans Fredrik
	Nordhaug making --with-texmf obey TDS.

2001-11-11  David Kastrup  <David.Kastrup@t-online.de>

	* prv-emacs.el (preview-transparent-border): Change definition to
	numeric/nil, set default to 3pt.
	(preview-create-icon): adapt heuristic-mask accordingly
	(preview-ps-image): same here
	(preview-gs-get-colors): use new definition of
	preview-transparent-border, use PostScript code not subject to
	anti-aliasing effects.
	(preview-transparent-border): Change default to take into
	account that we previously got only half of requested width.
	(preview-gs-get-colors): generate only necessary tokens.  Disable
	stroke adjustment in order to get more even borders.

2001-11-10  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx (subsection{The internals}): Make reassignment of
	\@tempboxa that lead to missing section headers local.
	Interesting bug.

2001-11-09  David Kastrup  <David.Kastrup@t-online.de>

	* RELEASE: initial stab at release notes.

	* preview.el (preview-back-command): Make token backer somewhat
	more robust.
	(preview-analyze-error): Don't bomb out if no token matches.

	* README-preview: first draft.

	* prv-emacs.el (preview-int-bb): moved from preview.el

	* preview.el (preview-preserve-indentation): New option, on per
	default.  Switch off for old behaviour.
	(preview-extract-bb): heed preview-preserve-indentation by faking
	the bounding box left.
	(preview-int-bb): move to prv-emacs.el

	* preview.dtx (subsection{The internals}): Try killing off indents
	in order to get good horizontal positioning of preview.

	* preview.el (preview-start-dvips): fix bug WRT free variable
	`buffer'.

	* prv-emacs.el (preview-transparent-color): change default for a
	new default transparency scheme.
	(preview-get-heuristic-mask): bug fix for specified color
	(preview-create-icon): adjust for new policy
	(preview-ps-image): same here
	(preview-transparent-border): new option
	(preview-gs-get-colors): heed this

2001-11-08  David Kastrup  <David.Kastrup@t-online.de>

	* PROBLEMS: Recommend customizing new variable
	preview-dvips-command for DviPS problems.
	Add sections about Windows and XEmacs.
	Add section about LaTeX/language environment problem.
	Add section about flyspell.el including patch.

2001-11-07  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-gs): and other groups: set :prefix in
	defgroup
	(preview-get-geometry): Oops, make it work if
	preview-scale-function is a constant instead of a function.

2001-11-06  Alan Shutko  <ats@acm.org>

	* aclocal.m4 (AC_CHECK_AUCTEX): Revert the previous change, since
	it was horribly broken, and fix --with-auctex, so that it doesn't
	do the check if --with-auctex was specified.

2001-11-06  Alan Shutko  <ats@acm.org>

	* aclocal.m4 (AC_CHECK_AUCTEX): Try looking for tex-site instead
	of tex-buf... this may help since we're sure it's in load-path,
	but I'm afraid that the contents of tex-site may not be standard
	enough across installations.
	

2001-11-06  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-image-creators): Add preview-eps-open
	function for calling dvips conversion.
	(preview-eps-open): Resume half-hearted support of postscript
	image type.  Does anybody use this, after all?  If so, let him
	run DviPS in background if he so desires...

	* preview.dtx (subsection{The internals}): add \leavevmode to make
	things like \paragraph flush their \everypar tokens.  Perhaps not
	the right thing to do, let's wait for error reports about that
	one.

	* preview.el: require 'tex-site when compiling
	(preview-gs-file): new local variable
	(preview-gs-sentinel): cater for "Compilation" flag in mode-line
	(preview-gs-restart): changes in process setup
	(preview-gs-close): Same here
	(preview-gs-open): Same here
	(preview-gs-dvips-sentinel): New function
	(preview-gs-place): postpone Bounding Box extraction.
	(preview-gs-flag-error): cosmetic changes
	(preview-gs-transact): extract bounding box
	(preview-LaTeX-command): Remove dvips call from command
	(preview-dvips-command): New option for dvips call
	(preview-parse-messages): add message while parsing
	(preview-parse-messages): remove call to open, this calls parsing
	instead.
	(preview-start-dvips): New function.
	(preview-TeX-inline-sentinel): Changed to new process model
	Note: this breaks 'postscript image support.  To be fixed.
	
2001-11-03  Alan Shutko  <ats@acm.org>

	* aclocal.m4
	(AC_CHECK_PROG_REQUIRED,AC_CHECK_PROGS_REQUIRED,AC_PATH_PROG_REQUIRED):
	New functions to check programs, and abort with a message if not
	found.
	(AC_EMACS_CHECK_LIB): Function stolen from Gnus to check whether
	an elisp library exists.
	(AC_CHECK_AUCTEX): Check if AUC-TeX is in a normal emacs load
	path, and allow --with-auctex switch to specify it. SF Bug
	#477262, #477260.

	* Makefile.in (use-hint, install-hint): New hints.  SF Bug #477282.
	(all, install): Use the above hints.

	* configure.in: Changed all AC_CHECK_PROG(S)/AC_PATH_PROG(S) to
	new AC_*_REQUIRED, which abort and print a message if something
	isn't found.  Added AC_CHECK_AUCTEX.  Add note at end of configure
	to run "make".  SF Bug #469741 (partial).
	
	Removed --with-auctex since that's now done in AC_CHECK_AUCTEX.

2001-10-30  David Kastrup  <David.Kastrup@t-online.de>

	* prv-emacs.el (preview-make-clickable): Use 'keymap instead of
	'local-map, obliterating the need to inherit from LaTeX-mode-map.
	(preview-toggle): Same here, and cater for null-length overlays.
	(preview-mark-point): Jury's still out on that one.

	* preview.el (preview-gs-sentinel): Don't hickup if buffer got
	killed.
	(preview-gs-restart): Don't mind exiting Emacs if GhostScript
	still running.
	(preview-snippet): Buffer-locality not needed because parsing
	occurs fully blocking.
	(preview-snippet-start): Same
	(preview-analyze-error): Somewhat saner behaviour if the error
	message parsing fails due to macro arguments or other.  This
	cannot be the final verdict.

	* TODO: add a few items.

	* prv-emacs.el (preview-transparent-color): Make transparency
	customizable.  Note that due to a bug everything except "None" is
	treated the same as "Autodetect" in 21.1.  Fixed in CVS.
	(preview-get-heuristic-mask): Function for calculating mask to use
	from above.
	(preview-create-icon): use preview-get-heuristic-mask
	(preview-ps-image): same.
	(preview-mark-point): move point out of previews before starting
	next command for consistent implementation of intangibility.  Not
	sure whether this is actually a good idea, though.
	(preview-inherited-face-attribute): New function
	(preview-gs-get-colors): New function, replaces preview-get-colors

	* preview.el (preview-gs): New customization group hierarchy
	(preview-appearance): same
	(preview-latex): same
	(preview-gs-colors): change string to single tokens.
	(preview-gs-transact): construct string from same
	(preview-scale-from-face): consult preview-reference-face instead
	of default.  Use new function preview-inherited-face-attribute for
	this.
	(preview-face): add different colours for dark backgrounds.
	change default background to beige, probably less likely to match
	users default background.
	(preview-error-face): change preview-error-face for non-color terms.
	(preview-reference-face): used for size and color determination of
	previews.
	(preview-TeX-inline-sentinel): tell user while we are parsing

2001-10-27  David Kastrup  <David.Kastrup@t-online.de>

	* PROBLEMS: revert AucTeX patch to that before we tried our luck
	with intangibility.  Some changes in formatting.  Add comment
	about -Pwww font problems.

2001-10-26  David Kastrup  <David.Kastrup@t-online.de>

	* Release 0.5.8.1

	* preview.el (preview-mouse-open-eps): fix a typo in help
	message.
	(preview-analyze-error): Remove traces of inhibit-point-motion
	madness.  If search for (concat string after-string) fails, try
	again just with string in order to support uses of Auc-TeX's
	original interface.

	* prv-emacs.el (preview-toggle): Don't reactivate disabled
	overlays (could happen in isearches ended by an editing operation).
	(preview-move-point): While we are simulating point-adjustment,
	heed disable-point-adjustment in order to make isearch (and
	probably other utilities) Do The Right Thing (TM).  Works
	beatifully.

	* preview.el (preview-LaTeX-command): new customization variable.
	(LaTeX-preview-setup): use it.

2001-10-25  David Kastrup  <David.Kastrup@t-online.de>

	* We now cater for people with non-black-on-white setup.

	* prv-emacs.el (preview-get-colors): gets colors from default
	font.

	* preview.el (preview-gs-colors): new variable for GhostScript
	color setup string.
	(preview-gs-transact): pass color setup.
	(preview-get-geometry): pass color setup

	* prv-emacs.el (preview-ps-image): Don't expect white background
	in heuristic-mask.

	* preview.el (preview-next-border): Can't get everything right
	first try now, can I?

	* prv-emacs.el: replace preview-intangible by preview-state.
	(preview-handle-insert-in-front): Same here.
	(preview-toggle): Same here.
	(preview-toggle): Let preview-toggle handle setting of category.
	That way category is not set/used outside of prv-emacs.el.
	(preview-move-point): replace preview-intangible by
	preview-state.
	
	* preview.el (preview-dwim): replaces preview-again.
	Excruciatingly useful function bound to C-c C-p C-p.  Will do just
	what you want whenever you call it.
	(preview-next-border): Helper-function for that
	(preview-disable): set property 'preview-state
	(preview-clearout): use 'preview-state instead of 'category
	(preview-place-preview): same here.
	(LaTeX-preview-setup): use preview-dwim in keyboard bindings

2001-10-23  David Kastrup  <David.Kastrup@t-online.de>

	*  Release 0.5.8

	* PROBLEMS (AucTeX): remove patch for intangibility problem.

	* preview.el (preview-regenerate): use preview-region
	(preview-region): New user function.
	(preview-environment): New user function.
	(preview-section): New user function.
	(preview-again): New user function.
	(LaTeX-preview-setup): Add menus and keyboard shortcuts for new
	user functions.
	(preview-version): Don't recalculate version in compiled form.

	* prv-emacs.el: inherit from LaTeX-mode-map in order to have
	normal commands work when cursor is on preview.
	(preview-make-clickable): same.
	(preview-overlay): don't make intangible, but preview-intangible.
	In short, we now fake intangibility until Emacs will keep the
	cursor out of overlay images like it does out of text property
	images.
	(preview-handle-insert-in-front): Same here.
	(preview-toggle): Same here.  Load pre-command-hook and
	post-command-hook for fake intangibility.
	(preview-marker): Added for fake intangibility.
	(preview-mark-point): pre-command-hook function for fake
	intangibility.
	(preview-move-point): post-command-hook function for fakr
	intangibility.

2001-10-22  David Kastrup  <David.Kastrup@t-online.de>

	* README: Change info for Emacs release 21.1

	* PROBLEMS: Change info for Emacs release 21.1

	* INSTALL: Change info for Emacs release 21.1

2001-10-19  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx (subsection{The internals}): Heed \AtBeginDvi
	sequences.  Small doc/formatting changes.

2001-10-17  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx: Get the version headers right (hopefully).

2001-10-16  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx: Make a stab at an automated version header
	(subsection{Preview attaching commands}): Move the badness stuff
	to the auctex option.

2001-10-15  David Kastrup  <David.Kastrup@t-online.de>

	* prv-emacs.el:  insert-in-front back.  Discovered all-saving
	undo-in-progress.
	(preview-handle-insert-in-front): pseudo-advance if not in undo
	while iconized.
	(preview-handle-modification): fitting behaviour for that. commit
	suicide on changes that leave the range empty, disable else.

	* preview.el (preview-place-preview): overlays get auto-advancing
	front.
	(preview-analyze-error): intangible.  inhibit-point-motion-hooks.
	what a mess.  Made parsing saner in the presence of such stuff.
	(preview-place-preview): overlays get non-auto-advancing front
	back again, since we rather pseudo-advance in
	preview-handle-insert-in-front.

	* prv-emacs.el: don't handle insert-in-front: impossible to do
	consistently.  Instead make beginning ofg overlays auto-advance
	always.
	(preview-handle-insert-in-front): removed
	(preview-handle-modification): removed insert-in-front-hooks

2001-10-13  David Kastrup  <David.Kastrup@t-online.de>

	* prv-xemacs.el: This is completely and utterly broken and
	incomplete.  The recent changes from Simon have not yet been
	incorporated, some of the stuff still has old semantics and so
	forth and so on.  One needs to go through prv-emacs.el and make
	sure that everything in there has an equivalent here.

	* prv-emacs.el: See preview.el.

	* preview.el: This is the big one.  Changes too numerous to
	mention.  Lots of modularization for making XEmacs support
	possible.  Changed semantics, the works.  See PROBLEMS file for
	new AucTeX compatibility annoyances.

	* PROBLEMS (AucTeX versions from 11.01 up to version 11.05): Patch
	added.  Patch for earlier versions revised.

2001-10-12  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx (subsection{Preview attaching commands}): set
	\hbadness and \vbadness to infinity in order to avoid
	parse-unfriendly error messages.  Would one want to see overfull
	hbox rules in preview output?

2001-10-12  Alan Shutko  <ats@acm.org>

	* Makefile.in (LISP_OBJS): New var.
	($(LISP_OBJS)): Got rid of elc target and used dependencies, so we
	don't recompile every make.

2001-10-12  David Kastrup  <David.Kastrup@t-online.de>

	* configure.in: Try fixing the emacs flavor detection.
	And revert back to Alan's version.

2001-10-12  Alan Shutko  <ats@acm.org>

	* configure.in: Change AC_PATH_PROG of emacs to AC_CHECK_PROG, as
	it was breaking --with-xemacs.

2001-10-12  David Kastrup  <David.Kastrup@t-online.de>

	* Makefile.in: Switch order of LISP_SOURCES in order to avoid
	compiling preview.el with older versions of prv-emacs.elc or
	prv-xemacs.elc

2001-10-11  Alan Shutko  <ats@acm.org>

	* Makefile.in (ELCC): Bug 469742: Include . in load path.

	* configure.in: Added --with-xemacs option.  Added AC_XEMACS_P to
	determine if we're using xemacs.  Added PLAT_LISP substitution
	with the flavor-specific lisp file.

	* Makefile.in (LISP_SOURCES): New variable, listing files needing
	byte-compilation.
	(all): Depend on "elc" target to capture all the emacs files.
	(install-el): Install more lisp files.
	(elc): New target, compile all relevant files.

2001-10-11  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx (subsection{The internals}): Introduce count
	\pr@snippet so as not to get confused by \include.
	(subsection{Preview attaching commands}): Make auctex option use
	this counter.

2001-10-10  David Kastrup  <David.Kastrup@t-online.de>

	* circ.tex: Demonstrate new `sections' option.

	* preview.el (preview-default-option-list): Cater for new
	`sections' option to preview.sty.

	* preview.dtx (section{Provided Commands}): New argument syntax as
	in \PreviewMacro[{*[][]{}}]{\includegraphics}.
	(subsection{Parsing commands}): introduce \pr@endparse and support
	new syntax.
	(subsection{Preview attaching commands}): same here.
	(section{Package options}): explain new `sections' option.
	(subsection{Selection options}): implement `sections' option.

2001-10-09  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-mouse-open-error): Don't have multiple
	"*Preview-GhostScript-Error*" buffers gather, reuse single one.
	(LaTeX-preview-setup): Enter us into "Command" menu.

2001-10-08  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx (subsection{Preview attaching commands}): Change
	output routine to flush out floats.
	Correct \CheckSum.

	* preview.el: Use `error' identifier only where really needed.
	(preview-gs-behead-outstanding): see above.
	(preview-gs-sentinel): see above.
	(preview-gs-flag-error): see above.
	Still require (defvar error) because of Auc-TeX
	(TeX-active-tempdir): Move definition.
	(preview-gs-place, preview-eps-place)
	(preview-active-string, preview-make-filename)
	(preview-place-preview, preview-parse-messages)
	(preview-analyze-error): remove `tempdir' argument
	(preview-get-geometry): some change in semantics
	(preview-TeX-inline-sentinel): call `preview-parse-messages' with
	process buffer active instead of source.
	(TeX-inline-preview): adapt to changed `preview-get-geometry'

2001-10-07  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-get-geometry): comment clarification to
	satisfy checkdoc.
	(preview-version): added.
	(preview-report-bug): use `preview-version' instead of current
	ugliness.

	* .cvsignore (Module): Add a few more entries.

	* preview.el: Don't defvar AucTeX internal TeX-auto-file, make
	auto-size detection of previews from parsed styles work.
	(preview-document-pt): Use `TeX-active-styles' instead of bad AucTeX
	internal `TeX-auto-file'.
	(preview-get-geometry): Different arguments and semantics.  Make
	it work.
	(TeX-inline-preview): Call changed `preview-get-geometry'.

	* prv-xemacs.el: add macros line-beginning-position and
	line-end-position.

	* preview.el: Change manner of loading prv-xemacs
	(preview-analyze-error): Use line-end-position again.

2001-10-05  David Kastrup  <David.Kastrup@t-online.de>

	* preview.dtx: Include \ProvidesPackage and \CheckSum
	(subsection{Preview attaching commands}): put \unskip in
	\end{preview} where it will make a difference.
	(section{Various drivers}): \askforoverwritefalse only generated
	for make-intended installer.

	* prv-xemacs.el: require overlay
	preview-compatibility-macros added
	(find-image): some changes of compilation
	(defimage): define using preview-defmacro
	(make-temp-file): ignore temporary-filename: not needed in here.

2001-10-04  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el: first stab at XEmacs compatibility.

	* prv-xemacs.el: first stab at XEmacs compatibility.

	* circ.tex (section{Die gerade Linie}): built in two deliberate
	bugs for testing.

	* preview.el (preview-gs-behead-outstanding): use
	`preview-gs-flag-error'.
	(preview-mouse-open-error, preview-mouse-open-eps): factored out
	stuff from `preview-gs-flag-error'.
	(preview-gs-flag-error): replaces `preview-gs-error-string'
	(preview-gs-transact): Use `preview-gs-flag-error'.

	* PROBLEMS: be more specific about GhostScript errors

2001-10-03  David Kastrup  <David.Kastrup@t-online.de>

	* preview.el (preview-delete-file): remove dont-register
	(preview-make-filename): remove dont-register
	(preview-regenerate): switch to clicked buffer if not there.
	(preview-gs-error-string): try to avoid strange behaviour from
	having `let' restore potential buffer-local-variables to the wrong
	buffer.  Make some functions (interactive "@").

2001-10-02  David Kastrup  <dakas@users.sourceforge.net>

        * release 0.5

	* PROBLEMS: Completed summary of patches and made an outline-mode file.

	* INSTALL:
	Gearing up for a release.  Last modifications and clarifications.

	* preview.el:
	Lots of cleanups for getting to release quality.  Made good error
	reporting with things masquerading as actual GhostScript sessions,
	including command line, prompt, messages, the works.

	Removed preview-gs-urgent which actually has never been anything
	but the front of preview-gs-queue.

	* TODO: Some more wishes.

	* preview.el: Make active error display.

	* preview.el:
	Changed the process line appearance somewhat, added a bit of
	robustness when error line parsing fails, beautified appearance of
	opened previews (icon gets its own line only when previewed area
	starts on a line).

2001-10-01  David Kastrup  <dakas@users.sourceforge.net>

	* TODO: Added a few items.

	* README: Added CVS instructions and a few other odds and ends.

	* bootstrap.ins: Remove docstrip configuration related messages.

	* INSTALL: Some more massaging.

	* PROBLEMS: Initial checkin, preparation for first tarball release.

	* ChangeLog: Initial entry of ChangeLog.

2001-10-01  alanshutko  <alanshutko@users.sourceforge.net>

	* aclocal.m4: Instead of /dev/null, throw stuff to FD 5, where it
	might do some good.

2001-09-30  David Kastrup  <dakas@users.sourceforge.net>

	* README: Mentioned M-x preview-report-bug.

	* README: Removed redundancies with INSTALL, cleared some stuff up.

	* preview.el:
	Obliterated transaction queues.  They did not help that much, and are
	not implemented in earlier versions of XEmacs.  More trouble than they
	were worth, anyway.

	* preview.el: Define a few more image types.

2001-09-29  David Kastrup  <dakas@users.sourceforge.net>

	* INSTALL: Some general information and stuff.

	* Makefile.in:
	Use latex '\nonstopmode \input ...' instead of -interaction
	nonstopmode

	Fixed string comparison in Emacs.

	* aclocal.m4:
	Remove trailing slashes after path discovery, do some more things with
	sed instead of various other utilities.  One change in calling LaTeX
	to make it work with older or non-web2c binaries.

	* preview.dtx:
	Support those misguided people using $$ in their LaTeX documents.  I
	am not sure this is a good idea, but it will probably save us bug
	reports.

	* TODO: Removed a few done points.

	* preview.el:
	Made parsing good.  Now the entire TeX error context gets used.  In
	most cases, regenerating previews should work now, as well as region
	previewing.

2001-09-28  alanshutko  <alanshutko@users.sourceforge.net>

	* INSTALL: New file

2001-09-27  alanshutko  <alanshutko@users.sourceforge.net>

	* Makefile.in (preview.elc): Patch from Simon Josefsson to fix
	build with non-standard AUCTeX location.

2001-09-27  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el:
	Made error and abort messages appear in the faulty images.  Reworked
	file handling somewhat so that in the case of errors all involved
	files can stay until the image overlay gets deleted.

	* preview.el:
	Added bug reporting instructions and helper function for reports
	to preview-latex-bugs@lists.sourceforge.net.

2001-09-26  alanshutko  <alanshutko@users.sourceforge.net>

	* Makefile.in: (install-texmf) Install the dvi file

	* Makefile.in, aclocal.m4, configure.in:
	* aclocal.m4: Removed some dross stolen from Gnus, since it is unused.
	Fixed up AC_PATH_TEXMFDIR to try to find a dir to install the docs
	and to export texmfdir.

	* configure.in: --with-auctex=DIR, new option

	* Makefile.in: Changed rules for byte-compilation to allow setting
	AUCTEXDIR.
	(install-texmf) Only texhash the directory we installed into

2001-09-26  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el:
	Oodles of documentation and a much faster bounding box extractor
	not relying on grep.  Some small internal changes.

	* preview.el:
	Background rendering now working without errors, even with crummy
	default tq.el as currently shipped with Emacs (and XEmacs?).

2001-09-25  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el:
	Some initial stab at trying to make do without tq.el.  Figured out a
	way to make do with tq's ugly semantics, however.  Just keep this
	somewhere.  Only half done.

2001-09-24  alanshutko  <alanshutko@users.sourceforge.net>

	* Makefile.in:
	Makefile.in: clean and distclean targets from Simon Josefsson <jas@extundo.com>

2001-09-24  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el:
	Sanitized temporary file handling by introducing a reference count
	scheme.  Temporary directories should now get deleted as they become
	empty.  We still do a general cleanup (in case a previous EMacs
	session crashed) on first accessing any preview subdirectory, which
	means bad luck when you are starting multiple instances of Emacs for
	previewing purposes.

2001-09-24  alanshutko  <alanshutko@users.sourceforge.net>

	* Makefile.in, configure.in:
	Run texhash after tex installation.  Also set full
	pathnames for programs, since the path of the installing user may
	not match the compiling user.

	* Makefile.in, aclocal.m4: First cut at previewdocdir

2001-09-24  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el:
	PNG rendering now basically works and is the default.  Errors during
	transaction queue processing insert their messages into the TeX
	background buffer; so do unexpected GhostScript messages.  Good for
	debugging.

2001-09-22  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el:
	Forgot entering into queue and a condition.  Still does not work with png.

	* preview.dtx: Fixed \begin{table} bug.

	* preview.el: Several changes from several people.

	The big one: support of other image formats. PNG.  Unfortunately, not
	yet functional.  Checked in nevertheless since the old postscript
	rendering is on by default and seems to work still.

	* preview.dtx: Forgotten macrocode, empty line.

2001-09-21  alanshutko  <alanshutko@users.sourceforge.net>

	* Makefile.in, aclocal.m4, configure.in:
	2001-09-21  Alan Shutko  <ats@acm.org>

		* aclocal.m4: Correct handling of docstrip configuration for
		non-TDS setup.  Also, quote the $ in awk.

		* Makefile.in (TEX): New variable.
		(all): preview-mk.ins instead of preview.ins
		(preview-mk.ins, preview.sty prauctex.def preview.drv): Use $TEX.

		* configure.in: Added --with-preview-dir option.  Check for tex
		executable.

	* configure.in: Clarified --with-texmf help.

	* README: Updated build directions for autoconf build.

	* .cvsignore, Makefile, Makefile.in, aclocal.m4, configure.in, install-sh:
	Makefile.in, aclocal.m4, configure.in: Create autoconf versions of
	Makefile.  Much of aclocal.m4 was stolen from Gnus, though the
	AC_PATH_TEXMF is new.

	Added install-sh for use by the makefile if a compatible install
	binary is not found.

2001-09-20  David Kastrup  <dakas@users.sourceforge.net>

	* Makefile: First sketch at installation via make instead of docstrip.

	* bootstrap.ins: No error if no docstrip.cfg.

	* bootstrap.ins:
	First sketch at bootstrap install file for extracting main installer
	and giving directory info.

	* preview.dtx: Added missing macrocode environment (David Love).
	Leave directory off installer when installing via make.

2001-09-19  David Kastrup  <dakas@users.sourceforge.net>

	* README: Checked in antialiasing suggestions from Alan Shutko.

2001-09-16  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el: Still learning about customize-variable...

2001-09-15  David Kastrup  <dakas@users.sourceforge.net>

	* preview.el:
	Parse HiRes Bounding Boxes, remove accidental paste of definition of
	shell-command-to-string, add support for graphical preview of files
	not prepared for it.

	* preview.dtx: Another spurious space.

	* preview.dtx:
	AucTeX option delays \nonstopmode.  Spurious space in \pr@endbox removed.

	* README: Add instructions for anti-aliasing.

	* preview.dtx, README: Corrected Email address.

2001-09-14  David Kastrup  <dakas@users.sourceforge.net>

	* README: Added some more descriptive stuff and my Email address.

	* preview.el: Added intelligent determination of EPS scale.
	Changed Bounding Box determination to use a HiResBoundingBox if
	present, and work without a shell.
	Added some customization.

2001-09-13  David Kastrup  <dakas@users.sourceforge.net>

	* .cvsignore: Ignore generated files.

	* preview.dtx:
	Deleted no longer applicable comment.  Fixed bug in connection with \item.

	* COPYING: Copy of GPL version 2 included.

	* README: Typo.

	* README: Clarified comment about how to improve EPS support in Emacs.

	* README: Removed link to pretest Emacs on request from Gerd Möllmann.

2001-09-12  David Kastrup  <dakas@users.sourceforge.net>

	* circ.tex: New file.

	* circ.tex: This is the initial checkin of preview-latex.  Enjoy.

	* Makefile, README, TODO, preview.dtx: New file.

	* Makefile, README, TODO, preview.dtx:
	This is the initial checkin of preview-latex.  Enjoy.

	* preview.el: New file.

	* preview.el: This is the initial checkin of preview-latex.  Enjoy.

